(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    130791,       3878]
NotebookOptionsPosition[    116042,       3392]
NotebookOutlinePosition[    119206,       3459]
CellTagsIndexPosition[    119119,       3454]
WindowTitle->ConnectionList - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:Obtuse/guide/Obtuse"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["OBTUSE PACLET SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse Angle Shadowing Networks\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/tutorial/Obtuse Angle Shadowing Networks"], \
"\<\"Interpolation interactive demo\"\>":>Documentation`HelpLookup[
       "paclet:Obtuse/tutorial/Interpolation interactive demo"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"ConnectedFrom\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectedFrom"], "\<\"ConnectedNeighbors\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectedNeighbors"], "\<\"ConnectedTo\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectedTo"], "\<\"FriendsCountList\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/FriendCountList"], "\<\"FriendsFromList\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/FriendsFromList"], "\<\"FriendsList\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/FriendsList"], "\<\"FriendsToList\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/FriendsToList"], "\<\"Interpolation, Method -> \
\\\"ObtuseAngle\\\"\"\>":>Documentation`HelpLookup[
       "paclet:Obtuse/ref/InterpolationMethodObtuseAngle"], \
"\<\"DirectedDistanceMatrix\"\>":>Documentation`HelpLookup[
       "paclet:Obtuse/ref/DirectedDistanceMatrix"], "\<\"DistanceMatrix\"\>":>
       Documentation`HelpLookup[
       "paclet:HierarchicalClustering/ref/DistanceMatrix"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse Package\"\>":>
       Documentation`HelpLookup["paclet:Obtuse/guide/ObtusePackage"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse/ref/ConnectionList\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["Obtuse/ref/ConnectionList"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://www.familydahl.se/mathematica/Obtuse/ref/\
ConnectionList.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://www.familydahl.se/mathematica/", 
             "Obtuse/ref/ConnectionList", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[CellGroupData[{

Cell["ConnectionList", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[Cell[BoxData[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"ConnectionList", "[", 
          StyleBox[
           RowBox[{"distmatrix", ",", 
            RowBox[{"(", "options", ")"}]}], "TI",
           FontSlant->"Italic"], "]"}], "gives", " ", "a", " ", "list", " ", 
         "of", " ", "connected", " ", "point", " ", "pairs", " ", "according",
          " ", "to", " ", "the", " ", "obtuse"}], "-", "angle", "-", 
        RowBox[{
        "shadowing", " ", "rule", " ", "in", " ", "a", " ", "discrete", " ", 
         "point", " ", "set"}]}], ",", " ", 
       RowBox[{
        RowBox[{"if", " ", 
         StyleBox["distmatrix", "TI",
          FontSlant->"Italic"], " ", "is", " ", "the", " ", "squared"}], "-", 
        RowBox[{
        "distance", " ", "matrix", " ", "for", " ", "the", " ", "distinct", 
         " ", 
         RowBox[{"points", ".", "  ", "This"}]}]}]}], " "}], 
    "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{
       "matrix", " ", "should", " ", "contain", " ", "real", " ", 
        "elements"}], ",", " ", 
       RowBox[{
       "but", " ", "it", " ", "does", " ", "not", " ", "necessarily", " ", 
        "need"}]}], " "}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"to", " ", "be", " ", 
        RowBox[{
        "symmetric", ".", "  ", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         "The"}], " ", "output", " ", "is", " ", "compatible", " ", "with", 
        " ", "the", " ", "graph", " ", "objects", " ", "in", " ", "the", " ", 
        RowBox[{
         ButtonBox[
          RowBox[{"Graph", " ", "Utilities", " ", "Package"}],
          BaseStyle->"Link",
          ButtonData->"paclet:GraphUtilities/guide/GraphUtilitiesPackage"], 
         " ", ".", "\[IndentingNewLine]", "\n", "If"}], " ", "the", " ", 
        "option", "  ", 
        ButtonBox["Type",
         BaseStyle->"Link",
         ButtonData->"paclet:Obtuse/ref/Type"], " ", "is", " ", "set", " ", 
        "to", " ", 
        ButtonBox["Directed",
         BaseStyle->"Link",
         ButtonData->"paclet:Combinatorica/ref/Directed"]}], ":", " ", 
       RowBox[{
       "The", " ", "point", " ", "A", " ", "in", " ", "the", " ", "point", 
        " ", "set", " ", "is", " ", "NOT", " ", "connected", " ", "to", " ", 
        "the", " ", "point", " ", "B", " ", "if", " ", "there", " ", "exist", 
        " ", "one", " ", "other", " ", "points", " ", "C", " ", "in", " ", 
        "the", " ", "point", " ", "set"}]}], ",", 
      RowBox[{
      "such", " ", "that", " ", "C", " ", "is", " ", "connected", " ", "to", 
       " ", "B", " ", "and", " ", "the", " ", "angles", " ", "ACB", " ", "is",
        " ", "obtuse", ".", " ", "Further"}], ",", 
      RowBox[{
       RowBox[{
       "two", " ", "points", " ", "in", " ", "the", " ", "network", " ", 
        "are", " ", "NOT", " ", "connected", " ", "if", " ", "the", " ", 
        "distance", " ", "between", " ", "them", " ", "is", " ", "smaller", 
        " ", "or", " ", "equal", " ", "to", " ", 
        ButtonBox[
         ButtonBox["SmoothenDistance",
          BaseStyle->"Link",
          ButtonData->"paclet:Obtuse/ref/SmoothenDistance"],
         BaseStyle->"Link",
         ButtonData->"paclet:Obtuse/ref/SmoothenDistance"], " ", "or", " ", 
        "larger", " ", "or", " ", "equal", " ", "to", " ", "twice", " ", 
        "the", " ", 
        RowBox[{
         ButtonBox["CutoffRadius",
          BaseStyle->"Link",
          ButtonData->"paclet:Obtuse/ref/CutoffRadius"], ".", " ", 
         "\[IndentingNewLine]", "\n", "If"}], " ", "the", " ", "option", " ", 
        ButtonBox["Type",
         BaseStyle->"Link",
         ButtonData->"paclet:Obtuse/ref/Type"], " ", "is", " ", "set", " ", 
        "to", " ", 
        ButtonBox["Undirected",
         BaseStyle->"Link",
         ButtonData->"paclet:Combinatorica/ref/Undirected"]}], ":", " ", 
       RowBox[{
       "Two", " ", "points", " ", "A", " ", "and", " ", "B", " ", "in", " ", 
        "the", " ", "point", " ", "set", " ", "are", " ", "NOT", " ", 
        "connected", " ", "if", " ", "there", " ", "exist", " ", "two", " ", 
        "other", " ", "points", " ", "C", " ", "and", " ", "D", " ", 
        RowBox[{"(", 
         RowBox[{"maybe", " ", "identical"}], ")"}], " ", "in", " ", "the", 
        " ", "point", " ", "set"}]}], ",", 
      RowBox[{
      "such", " ", "that", " ", "C", " ", "is", " ", "connected", " ", "to", 
       " ", "A", " ", "and", " ", "D", " ", "is", " ", "connected", " ", "to",
        " ", "B", " ", "and", " ", "both", " ", "the", " ", "angles", " ", 
       "ACB", " ", "and", " ", "ADB", " ", "are", " ", 
       RowBox[{"obtuse", ".", " ", "Further"}]}], ",", 
      RowBox[{
      "two", " ", "points", " ", "in", " ", "the", " ", "network", " ", "are",
        " ", "NOT", " ", "connected", " ", "if", " ", "the", " ", "distance", 
       " ", "between", " ", "them", " ", "is", " ", "is", " ", "smaller", " ",
        "or", " ", "equal", " ", "to", " ", 
       ButtonBox["SmoothenDistance",
        BaseStyle->"Link",
        ButtonData->"paclet:Obtuse/ref/SmoothenDistance"], "or", " ", 
       "larger", " ", "or", " ", "equal", " ", "to", " ", "twice", " ", "the",
        " ", 
       RowBox[{
        ButtonBox["CutoffRadius",
         BaseStyle->"Link",
         ButtonData->"paclet:Obtuse/ref/CutoffRadius"], ".", " ", "Each"}], 
       " ", "connected", " ", "point", " ", "pair", " ", "occurs", " ", 
       "only", " ", "once", " ", "in", " ", "the", " ", "returned", " ", 
       "list"}], ",", 
      RowBox[{
      "with", " ", "the", " ", "lowest", " ", "point", " ", "number", " ", 
       "coming", " ", 
       RowBox[{"first", ".", "\[IndentingNewLine]", "\n", "The"}], " ", 
       "resulting", " ", "list", " ", "is", " ", "sorted", " ", "according", 
       " ", "to", " ", "the", " ", "length", " ", "of", " ", "the", " ", 
       RowBox[{"connections", "."}]}]}]}],
     Editable->True,
     GridBoxOptions->{
     GridBoxBackground->{
      "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
       "RowsIndexed" -> {}}}]]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->67231237],

Cell[TextData[{
 "To use ",
 Cell[BoxData["ConnectionList"], "InlineFormula"],
 ", you first need to load the ",
 ButtonBox["Obtuse Package",
  BaseStyle->"Link",
  ButtonData->"paclet:Obtuse/guide/ObtusePackage"],
 " using ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["Needs",
    BaseStyle->"Link",
    ButtonData->"paclet:ref/Needs"], "[", "\"\<Obtuse`\>\"", "]"}]], 
  "InlineFormula"],
 "."
}], "Notes",
 CellID->1067943069],

Cell["The following options can be given:", "Notes",
 CellID->742133048],

Cell[BoxData[GridBox[{
   {Cell["      ", "TableRowIcon"], 
    ButtonBox["ConnectionsToExclude",
     BaseStyle->"Link",
     ButtonData->"paclet:Obtuse/ref/ConnectionsToExclude"], 
    RowBox[{"{", "}"}], Cell[
    "connections to exclude in the evaluation ", "TableText"]},
   {Cell["      ", "TableRowIcon"], 
    ButtonBox["CutoffRadius",
     BaseStyle->"Link",
     ButtonData->"paclet:Obtuse/ref/CutoffRadius"], 
    ButtonBox["Infinity",
     BaseStyle->"Link",
     ButtonData->"paclet:ref/Infinity"], Cell[TextData[{
     "points separated by twice the ",
     Cell[BoxData[
      ButtonBox["CutoffRadius",
       BaseStyle->"Link",
       ButtonData->"paclet:Obtuse/ref/CutoffRadius"]], "InlineFormula"],
     " or more are not connected"
    }], "TableText"]},
   {Cell["      ", "TableRowIcon"], 
    ButtonBox["NeighborLevel",
     BaseStyle->"Link",
     ButtonData->"paclet:Obtuse/ref/NeighborLevel"], "1", Cell[TextData[{
     "all connected points for lower values of ",
     Cell[BoxData[
      ButtonBox["NeighborLevel",
       BaseStyle->"Link",
       ButtonData->"paclet:Obtuse/ref/NeighborLevel"]], "InlineFormula"],
     " are excluded in the evaluation"
    }], "TableText"]},
   {Cell["      ", "TableRowIcon"], 
    ButtonBox["SmoothenDistance",
     BaseStyle->"Link",
     ButtonData->"paclet:Obtuse/ref/SmoothenDistance"], "0.", Cell[TextData[
    Cell[BoxData[Cell[TextData[{
      "points separated by ",
      Cell[BoxData[
       ButtonBox["SmoothenDistance",
        BaseStyle->"Link",
        ButtonData->"paclet:Obtuse/ref/SmoothenDistance"]], "InlineFormula"],
      " or less are not connected"
     }], "TableText",
      FontSize->10]],
     Editable->True,
     GridBoxOptions->{
     GridBoxBackground->{
      "Columns" -> {{None}}, "ColumnsIndexed" -> {}, 
       "Rows" -> {
        None, None, None, None, None, None, None, None, None, None, None, 
         None, None, None, None, None, None, None, None, None, None, None, {
         None}}, "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Rows" -> {{
         True, True, True, True, True, True, True, True, True, True, True, 
          True, True, True, True, True, True, True, True, True, True, True, 
          True, True}}}}]], "TableText"]},
   {Cell["      ", "TableRowIcon"], 
    ButtonBox["Type",
     BaseStyle->"Link",
     ButtonData->"paclet:Obtuse/ref/Type"], 
    ButtonBox["Directed",
     BaseStyle->"Link",
     ButtonData->"paclet:Combinatorica/ref/Directed"], Cell[TextData[{
     "the connection graph can be ",
     Cell[BoxData[
      ButtonBox["Directed",
       BaseStyle->"Link",
       ButtonData->"paclet:Combinatorica/ref/Directed"]], "InlineFormula"],
     " or ",
     Cell[BoxData[
      ButtonBox["Undirected",
       BaseStyle->"Link",
       ButtonData->"paclet:Combinatorica/ref/Undirected"]], "InlineFormula"]
    }], "TableText"]}
  },
  GridBoxAlignment->{
   "Columns" -> {Left, Left, {Left}}, "ColumnsIndexed" -> {}, 
    "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}]], "3ColumnTableMod",
 Editable->True,
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, 
   "Rows" -> {None, None, None, None, {None}}, "RowsIndexed" -> {}},
 GridBoxDividers->{"Rows" -> {{True, True, True, True, True, True}}}}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->81168705],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->99208130],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Obtuse`\>\"", "]"}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->139566013],

Cell["Some 2D-points: ", "ExampleText",
 Editable->True,
 CellID->65039657],

Cell[BoxData[
 RowBox[{
  RowBox[{"pts", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5.", ",", "0."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6.2", ",", "6.2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8.", ",", "3."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4.5", ",", "8"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->72093665],

Cell[TextData[{
 "We can calculate the squared distance matrix, using the ",
 Cell[BoxData[
  ButtonBox["DirectedDistanceMatrix",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/DirectedDistanceMatrix"]], "InlineFormula"],
 " function.  The ",
 Cell[BoxData[
  ButtonBox["DirectedDistanceMatrix",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/DirectedDistanceMatrix"]], "InlineFormula"],
 " function can be given a ",
 Cell[BoxData[
  ButtonBox["DistanceFunction",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/DistanceFunction"]], "InlineFormula"],
 " option to define the distance measure. With the default setting ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["DistanceFunction",
    BaseStyle->"Link",
    ButtonData->"paclet:ref/DistanceFunction"], "->", 
   ButtonBox["Automatic",
    BaseStyle->"Link",
    ButtonData->"paclet:ref/Automatic"]}]], "InlineFormula"],
 ", ",
 Cell[BoxData[
  ButtonBox["DirectedDistanceMatrix",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/DirectedDistanceMatrix"]], "InlineFormula"],
 " uses the square of ",
 Cell[BoxData[
  ButtonBox["EuclideanDistance",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/EuclideanDistance"]], "InlineFormula"],
 " for numeric data, ",
 Cell[BoxData[
  ButtonBox["JaccardDissimilarity",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/JaccardDissimilarity"]], "InlineFormula"],
 " for Boolean data, and ",
 Cell[BoxData[
  ButtonBox["EditDistance",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/EditDistance"]], "InlineFormula"],
 " for string data.  If you use some other setting for this option, you \
should consider using the square of that distance measure."
}], "ExampleText",
 Editable->True,
 CellID->56007638],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dm", "=", 
  RowBox[{"DirectedDistanceMatrix", "[", "pts", "]"}]}]], "Input",
 CellLabel->"In[3]:=",
 CellID->883122251],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "25.`", ",", "76.88000000000001`", ",", "72.99999999999999`", 
     ",", "84.25`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "25.`", ",", "0", ",", "39.88000000000001`", ",", "18.000000000000004`", 
     ",", "64.25000000000001`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "76.88000000000001`", ",", "39.88000000000001`", ",", "0", ",", 
     "13.480000000000002`", ",", "6.130000000000001`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "72.99999999999999`", ",", "18.000000000000004`", ",", 
     "13.480000000000002`", ",", "0", ",", "37.24999999999999`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "84.25`", ",", "64.25000000000001`", ",", "6.130000000000001`", ",", 
     "37.24999999999999`", ",", "0"}], "}"}]}], "}"}]], "Output",
 ImageSize->{405, 50},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->154564163]
}, Open  ]],

Cell["\<\
When the squared distance matrix has been calculated, this determines \
completely how the points should be connected. The ConnectionList routine \
does not need or use information about the dimensionality of the control \
points.\
\>", "ExampleText",
 Editable->True,
 CellID->597404009],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cldir", "=", 
  RowBox[{"ConnectionList", "[", "dm", "]"}]}]], "Input",
 CellLabel->"In[4]:=",
 CellID->170026918],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"5", "\[Rule]", "3"}], ",", 
   RowBox[{"3", "\[Rule]", "5"}], ",", 
   RowBox[{"4", "\[Rule]", "3"}], ",", 
   RowBox[{"3", "\[Rule]", "4"}], ",", 
   RowBox[{"4", "\[Rule]", "2"}], ",", 
   RowBox[{"2", "\[Rule]", "4"}], ",", 
   RowBox[{"2", "\[Rule]", "1"}], ",", 
   RowBox[{"1", "\[Rule]", "2"}], ",", 
   RowBox[{"1", "\[Rule]", "3"}], ",", 
   RowBox[{"5", "\[Rule]", "1"}]}], "}"}]], "Output",
 ImageSize->{427, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->45519730]
}, Open  ]],

Cell["\<\
For these 2D-points we can make a map over both their positions and their \
connections.\
\>", "ExampleText",
 Editable->True,
 CellID->868990175],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Graphics", "[", 
  RowBox[{
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"pts", "[", 
            RowBox[{"[", 
             RowBox[{"#", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], ",", 
           RowBox[{"pts", "[", 
            RowBox[{"[", 
             RowBox[{"#", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}]}], "}"}], "]"}], 
        "&"}], "/@", "cldir"}], "}"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"StringJoin", "[", 
            RowBox[{
             RowBox[{"ToString", "[", "i", "]"}], ",", "\"\<\\n \>\""}], 
            "]"}], ",", 
           RowBox[{"FontSize", "\[Rule]", "20"}]}], "]"}], ",", 
         RowBox[{"pts", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "pts", "]"}]}], "}"}]}], "]"}]}], "]"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "0.5"}], ",", "10"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "0.5"}], ",", "10"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->175937802],

Cell[BoxData[
 GraphicsBox[{{ArrowBox[{{4.5, 8}, {6.2, 6.2}}], 
    ArrowBox[{{6.2, 6.2}, {4.5, 8}}], ArrowBox[{{8., 3.}, {6.2, 6.2}}], 
    ArrowBox[{{6.2, 6.2}, {8., 3.}}], ArrowBox[{{8., 3.}, {5., 0.}}], 
    ArrowBox[{{5., 0.}, {8., 3.}}], ArrowBox[{{5., 0.}, {0., 0.}}], 
    ArrowBox[{{0., 0.}, {5., 0.}}], ArrowBox[{{0., 0.}, {6.2, 6.2}}], 
    ArrowBox[{{4.5, 8}, {0., 0.}}]}, InsetBox[
    StyleBox["\<\"1\\n \"\>",
     StripOnInput->False,
     FontSize->20], {0., 0.}], InsetBox[
    StyleBox["\<\"2\\n \"\>",
     StripOnInput->False,
     FontSize->20], {5., 0.}], InsetBox[
    StyleBox["\<\"3\\n \"\>",
     StripOnInput->False,
     FontSize->20], {6.2, 6.2}], InsetBox[
    StyleBox["\<\"4\\n \"\>",
     StripOnInput->False,
     FontSize->20], {8., 3.}], InsetBox[
    StyleBox["\<\"5\\n \"\>",
     StripOnInput->False,
     FontSize->20], {4.5, 8}]},
  PlotRange->{{-0.5, 10}, {-0.5, 10}}]], "Output",
 ImageSize->{184, 180},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->103021943]
}, Open  ]],

Cell[TextData[{
 "For point sets of higher dimensionality we might use the ",
 ButtonBox["Graph Utilities Package",
  BaseStyle->"Link",
  ButtonData->"paclet:GraphUtilities/guide/GraphUtilitiesPackage"],
 " to display the connections."
}], "ExampleText",
 Editable->True,
 CellID->2220730],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GraphPlot", "[", 
  RowBox[{"cldir", ",", 
   RowBox[{"VertexLabeling", "\[Rule]", "True"}], ",", 
   RowBox[{"DirectedEdges", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[6]:=",
 CellID->333427945],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztnU9oFFccxxerSZAgEUVyCEEhh70YPIiEJUhu5iJKTnsoJAguEQ8RPCQg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    "], {{0, 96}, {180, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{180, 96},
  PlotRange->{{0, 180}, {0, 96}}]], "Output",
 ImageSize->{184, 96},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[6]=",
 CellID->149585341]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LayeredGraphPlot", "[", 
  RowBox[{"cldir", ",", 
   RowBox[{"VertexLabeling", "\[Rule]", "True"}], ",", 
   RowBox[{"DirectedEdges", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[7]:=",
 CellID->676649133],

Cell[BoxData[
 GraphicsBox[
  TagBox[GraphicsComplexBox[CompressedData["
1:eJxdVglMVUcU/ewgKiJGVKBpKRVj0SDWFk3kjrW1rabFWm3cELBssVQBjTVW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    "], {
     {RGBColor[0.5, 0., 0.], Arrowheads[{{0.02554714064914992, 0.7}}], 
      ArrowBox[{1, 5}], 
      ArrowBox[{1, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 
       24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 2}], 
      ArrowBox[{2, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49,
        50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 1}], 
      ArrowBox[{2, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75,
        76, 3}], 
      ArrowBox[{3, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 91,
        92, 2}], 
      ArrowBox[{3, 93, 94, 95, 96, 97, 98, 99, 100, 101, 102, 103, 104, 105, 
       106, 107, 108, 4}], 
      ArrowBox[{4, 109, 110, 111, 112, 113, 114, 115, 116, 117, 118, 119, 120,
        121, 122, 123, 124, 3}], 
      ArrowBox[{4, 125, 126, 127, 128, 129, 130, 131, 132, 133, 134, 135, 136,
        137, 138, 139, 140, 141, 142, 143, 144, 145, 146, 147, 148, 149, 150, 
       151, 152, 153, 154, 155, 156, 157, 158, 159, 5}], 
      ArrowBox[{5, 160, 161, 162, 163, 164, 165, 166, 167, 168, 169, 170, 171,
        172, 173, 174, 175, 176, 177, 178, 179, 180, 181, 182, 183, 184, 185, 
       186, 187, 188, 189, 190, 191, 192, 193, 194, 4}], ArrowBox[{5, 2}]}, {
      InsetBox[
       FrameBox["5",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 1], InsetBox[
       FrameBox["3",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 2], InsetBox[
       FrameBox["4",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 3], InsetBox[
       FrameBox["2",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 4], InsetBox[
       FrameBox["1",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 5]}}],
   Annotation[#, 
    VertexCoordinateRules -> {{0., 4.}, {0., 2.}, {0., 1.}, {1., 0.}, {1., 
     3.}}]& ],
  AspectRatio->Automatic,
  FrameTicks->None,
  ImageSize->{Automatic, 424.8000000000002},
  PlotRange->All,
  PlotRangePadding->Scaled[0.1]]], "Output",
 ImageSize->{132, 425},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[7]=",
 CellID->22947816]
}, Open  ]],

Cell[TextData[{
 "There are also other functions ",
 ButtonBox["Graph Utilities Package",
  BaseStyle->"Link",
  ButtonData->"paclet:GraphUtilities/guide/GraphUtilitiesPackage"],
 " that might use the connection list as input. E.g. ",
 Cell[BoxData[
  ButtonBox["ToCombinatoricaGraph",
   BaseStyle->"Link",
   ButtonData->"paclet:GraphUtilities/ref/ToCombinatoricaGraph"]], 
  "InlineFormula"],
 " converts the list to the ",
 StyleBox[ButtonBox["Combinatorica",
  BaseStyle->"Link",
  ButtonData->"paclet:Combinatorica/guide/CombinatoricaPackage"],
  FontSlant->"Italic"],
 " representation of the graph."
}], "ExampleText",
 Editable->True,
 CellID->379447672]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Scope",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection",
 CellID->1293636265],

Cell[TextData[StyleBox["If we have two points in the same position, with the \
distance zero between them, or if the squared-distance matrix indicates a \
negative squared distance, they will not be connected, and the points will \
have similar connections to other points. Let us add point 1 as a new point 6",
 Editable->True]], "ExampleText",
 CellID->2794233],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Obtuse`\>\"", "]"}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->787600277],

Cell[BoxData[
 RowBox[{
  RowBox[{"ptswithdoublet", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5.", ",", "0."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6.2", ",", "6.2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8.", ",", "3."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4.5", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.", ",", "0."}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->67201765],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DirectedDistanceMatrix", "[", "ptswithdoublet", "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->54006647],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "25.`", ",", "76.88000000000001`", ",", "72.99999999999999`", 
     ",", "84.25`", ",", "0.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "25.`", ",", "0", ",", "39.88000000000001`", ",", "18.000000000000004`", 
     ",", "64.25000000000001`", ",", "25.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "76.88000000000001`", ",", "39.88000000000001`", ",", "0", ",", 
     "13.480000000000002`", ",", "6.130000000000001`", ",", 
     "76.88000000000001`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "72.99999999999999`", ",", "18.000000000000004`", ",", 
     "13.480000000000002`", ",", "0", ",", "37.24999999999999`", ",", 
     "72.99999999999999`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "84.25`", ",", "64.25000000000001`", ",", "6.130000000000001`", ",", 
     "37.24999999999999`", ",", "0", ",", "84.25`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.`", ",", "25.`", ",", "76.88000000000001`", ",", "72.99999999999999`", 
     ",", "84.25`", ",", "0"}], "}"}]}], "}"}]], "Output",
 ImageSize->{483, 50},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->317411249]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cldirwithdoublet", "=", 
  RowBox[{"ConnectionList", "[", 
   RowBox[{"DirectedDistanceMatrix", "[", "ptswithdoublet", "]"}], 
   "]"}]}]], "Input",
 CellLabel->"In[4]:=",
 CellID->357581797],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"5", "\[Rule]", "3"}], ",", 
   RowBox[{"3", "\[Rule]", "5"}], ",", 
   RowBox[{"4", "\[Rule]", "3"}], ",", 
   RowBox[{"3", "\[Rule]", "4"}], ",", 
   RowBox[{"4", "\[Rule]", "2"}], ",", 
   RowBox[{"2", "\[Rule]", "4"}], ",", 
   RowBox[{"6", "\[Rule]", "2"}], ",", 
   RowBox[{"2", "\[Rule]", "6"}], ",", 
   RowBox[{"2", "\[Rule]", "1"}], ",", 
   RowBox[{"1", "\[Rule]", "2"}], ",", 
   RowBox[{"6", "\[Rule]", "3"}], ",", 
   RowBox[{"1", "\[Rule]", "3"}], ",", 
   RowBox[{"5", "\[Rule]", "6"}], ",", 
   RowBox[{"5", "\[Rule]", "1"}]}], "}"}]], "Output",
 ImageSize->{344, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->10831540]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GraphPlot", "[", 
  RowBox[{"cldirwithdoublet", ",", 
   RowBox[{"VertexLabeling", "\[Rule]", "True"}], ",", 
   RowBox[{"DirectedEdges", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->184209412],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztnVtoXVUax4PFNqS1ttBq9KG0UKVCGwuKhqClitbgBUooKsWHWiGkKFrI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    "], {{0, 105}, {180, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{180, 105},
  PlotRange->{{0, 180}, {0, 105}}]], "Output",
 ImageSize->{184, 105},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->417980235]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Generalizations & Extensions",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection",
 CellID->1020263627],

Cell[TextData[StyleBox["In the most common cases, the squared-distance matrix \
can be assumed to be symmetric. However, the algorithm does not assume or \
require this.",
 Editable->True]], "ExampleText",
 CellID->424459524],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Obtuse`\>\"", "]"}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->204197525],

Cell[TextData[StyleBox["This is a way to obtain a loop by an unsymmetric \
squared-distance matrix. ",
 Editable->True]], "ExampleText",
 CellID->15586753],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cuns", "=", 
  RowBox[{"ConnectionList", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "1.", ",", "0."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "1."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.", ",", "0.", ",", "0."}], "}"}]}], "}"}], "]"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->68677493],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"3", "\[Rule]", "1"}], ",", 
   RowBox[{"2", "\[Rule]", "3"}], ",", 
   RowBox[{"1", "\[Rule]", "2"}]}], "}"}]], "Output",
 ImageSize->{133, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->339665922]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GraphPlot", "[", 
  RowBox[{"cuns", ",", 
   RowBox[{"VertexLabeling", "\[Rule]", "True"}], ",", 
   RowBox[{"DirectedEdges", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->221234867],

Cell[BoxData[
 GraphicsBox[
  TagBox[GraphicsComplexBox[{{0.4969214784940357, 0.}, {0.9999936537876046, 
    0.8642445131631592}, {0., 0.8677954455904252}}, {
     {RGBColor[0.5, 0., 0.], Arrowheads[{{0.04158219581151576, 0.7}}], 
      ArrowBox[{1, 2}], ArrowBox[{2, 3}], ArrowBox[{3, 1}]}, {InsetBox[
       FrameBox["3",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 1], InsetBox[
       FrameBox["1",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 2], InsetBox[
       FrameBox["2",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 3]}}],
   Annotation[#, 
    VertexCoordinateRules -> {{0.4969214784940357, 0.}, {0.9999936537876046, 
     0.8642445131631592}, {0., 0.8677954455904252}}]& ],
  AspectRatio->Automatic,
  FrameTicks->None,
  PlotRange->All,
  PlotRangePadding->Scaled[0.1]]], "Output",
 ImageSize->{184, 156},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->140085294]
}, Open  ]],

Cell[TextData[StyleBox["For undirected connections, directed zero distances \
will dominate over non-zero distances in the reversed direction. ",
 Editable->True]], "ExampleText",
 CellID->163979523],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConnectionList", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "1.", ",", "0."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0.", ",", "1."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"Type", "\[Rule]", "Undirected"}]}], "]"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->366845292],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 ImageSize->{18, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->108994369]
}, Open  ]],

Cell[TextData[StyleBox["This is another way to obtain a loop by an \
unsymmetric squared-distance matrix. ",
 Editable->True]], "ExampleText",
 CellID->115671763],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConnectionList", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "1.", ",", "Infinity"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"Infinity", ",", "0.", ",", "1."}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1.", ",", "Infinity", ",", "0"}], "}"}]}], "}"}], 
  "]"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->55597775],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"3", "\[Rule]", "1"}], ",", 
   RowBox[{"2", "\[Rule]", "3"}], ",", 
   RowBox[{"1", "\[Rule]", "2"}]}], "}"}]], "Output",
 ImageSize->{133, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->46089820]
}, Open  ]],

Cell[TextData[StyleBox["For undirected connections, directed finite distances \
will dominate over infinite distances in the reversed direction. ",
 Editable->True]], "ExampleText",
 CellID->752087914],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConnectionList", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "1.", ",", "Infinity"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"Infinity", ",", "0.", ",", "1."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.", ",", "Infinity", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"Type", "\[Rule]", "Undirected"}]}], "]"}]], "Input",
 CellLabel->"In[6]:=",
 CellID->464705431],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"1", "\[Rule]", "3"}], ",", 
   RowBox[{"1", "\[Rule]", "2"}], ",", 
   RowBox[{"2", "\[Rule]", "3"}]}], "}"}]], "Output",
 ImageSize->{133, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[6]=",
 CellID->650179265]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Options",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(5)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection",
 CellID->2061341341],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   StyleBox["ConnectionsToExclude",
    Editable->True],
   Cell["", "ExampleCount"],
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection",
 CellID->480171694],

Cell[TextData[{
 "The connections specified by this option, as a list of point pair rules, \
will be excluded in the ConnectionList algorithm, and the next layer of \
connected pairs will be returned instead. \n   The list of excluded point \
pairs does not need to be sorted.",
 StyleBox[" ",
  Editable->True]
}], "ExampleText",
 CellID->181613339],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Obtuse`\>\"", "]"}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->5979552],

Cell[BoxData[
 RowBox[{"{", "\<\"Interpolation\"\>", "}"}]], "Output",
 ImageSize->{109, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->2722865]
}, Open  ]],

Cell[TextData[{
 StyleBox["Let us start with the connection list of an ",
  Editable->True],
 "equilateral",
 StyleBox[" triangle, and exclude one connection  ",
  Editable->True]
}], "ExampleText",
 CellID->321135500],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConnectionList", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "1.", ",", "1."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.", ",", "0.", ",", "1."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.", ",", "1.", ",", "0."}], "}"}]}], "}"}], ",", " ", 
   RowBox[{"ConnectionsToExclude", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", "\[Rule]", "2"}], "}"}]}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->339085011],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"3", "\[Rule]", "2"}], ",", 
   RowBox[{"3", "\[Rule]", "1"}], ",", 
   RowBox[{"2", "\[Rule]", "3"}], ",", 
   RowBox[{"2", "\[Rule]", "1"}], ",", 
   RowBox[{"1", "\[Rule]", "3"}]}], "}"}]], "Output",
 ImageSize->{217, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->38204611]
}, Open  ]],

Cell[TextData[{
 StyleBox["With the Option ",
  Editable->True],
 Cell[BoxData[
  ButtonBox["Type",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/Type"]], "InlineFormula"],
 " ",
 StyleBox["set to",
  Editable->True],
 " ",
 Cell[BoxData[
  ButtonBox["Undirected",
   BaseStyle->"Link",
   ButtonData->"paclet:Combinatorica/ref/Undirected"]], "InlineFormula"],
 StyleBox[", one side is excluded.  ",
  Editable->True]
}], "ExampleText",
 CellID->71490647],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConnectionList", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "1.", ",", "1."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.", ",", "0.", ",", "1."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.", ",", "1.", ",", "0."}], "}"}]}], "}"}], ",", " ", 
   RowBox[{"ConnectionsToExclude", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", "\[Rule]", "2"}], "}"}]}], ",", 
   RowBox[{"Type", "\[Rule]", "Undirected"}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->401890499],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"2", "\[Rule]", "3"}], ",", 
   RowBox[{"1", "\[Rule]", "3"}]}], "}"}]], "Output",
 ImageSize->{91, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->581625110]
}, Open  ]],

Cell[TextData[StyleBox["We return to the first choice of point set",
 Editable->True]], "ExampleText",
 CellID->3023239],

Cell[BoxData[
 RowBox[{
  RowBox[{"pts", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5.", ",", "0."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6.2", ",", "6.2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8.", ",", "3."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4.5", ",", "8"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->168557143],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cldir", "=", 
  RowBox[{"ConnectionList", "[", 
   RowBox[{"DirectedDistanceMatrix", "[", "pts", "]"}], "]"}]}]], "Input",
 CellLabel->"In[5]:=",
 CellID->50145082],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"5", "\[Rule]", "3"}], ",", 
   RowBox[{"3", "\[Rule]", "5"}], ",", 
   RowBox[{"4", "\[Rule]", "3"}], ",", 
   RowBox[{"3", "\[Rule]", "4"}], ",", 
   RowBox[{"4", "\[Rule]", "2"}], ",", 
   RowBox[{"2", "\[Rule]", "4"}], ",", 
   RowBox[{"2", "\[Rule]", "1"}], ",", 
   RowBox[{"1", "\[Rule]", "2"}], ",", 
   RowBox[{"1", "\[Rule]", "3"}], ",", 
   RowBox[{"5", "\[Rule]", "1"}]}], "}"}]], "Output",
 ImageSize->{427, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->47830401]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cldir2", "=", 
  RowBox[{"ConnectionList", "[", 
   RowBox[{
    RowBox[{"DirectedDistanceMatrix", "[", "pts", "]"}], ",", " ", 
    RowBox[{"ConnectionsToExclude", "\[Rule]", "cldir"}]}], "]"}]}]], "Input",
 CellLabel->"In[6]:=",
 CellID->142975374],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"5", "\[Rule]", "4"}], ",", 
   RowBox[{"4", "\[Rule]", "5"}], ",", 
   RowBox[{"3", "\[Rule]", "2"}], ",", 
   RowBox[{"2", "\[Rule]", "3"}], ",", 
   RowBox[{"4", "\[Rule]", "1"}], ",", 
   RowBox[{"1", "\[Rule]", "4"}], ",", 
   RowBox[{"3", "\[Rule]", "1"}], ",", 
   RowBox[{"1", "\[Rule]", "5"}]}], "}"}]], "Output",
 ImageSize->{343, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[6]=",
 CellID->423703693]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Graphics", "[", 
  RowBox[{
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"pts", "[", 
            RowBox[{"[", 
             RowBox[{"#", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], ",", 
           RowBox[{"pts", "[", 
            RowBox[{"[", 
             RowBox[{"#", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}]}], "}"}], "]"}], 
        "&"}], "/@", "cldir2"}], "}"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"StringJoin", "[", 
            RowBox[{
             RowBox[{"ToString", "[", "i", "]"}], ",", "\"\<\\n \>\""}], 
            "]"}], ",", 
           RowBox[{"FontSize", "\[Rule]", "20"}]}], "]"}], ",", 
         RowBox[{"pts", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "pts", "]"}]}], "}"}]}], "]"}]}], "]"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "0.5"}], ",", "10"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "0.5"}], ",", "10"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellLabel->"In[7]:=",
 CellID->259169534],

Cell[BoxData[
 GraphicsBox[{{ArrowBox[{{4.5, 8}, {8., 3.}}], ArrowBox[{{8., 3.}, {4.5, 8}}],
     ArrowBox[{{6.2, 6.2}, {5., 0.}}], ArrowBox[{{5., 0.}, {6.2, 6.2}}], 
    ArrowBox[{{8., 3.}, {0., 0.}}], ArrowBox[{{0., 0.}, {8., 3.}}], 
    ArrowBox[{{6.2, 6.2}, {0., 0.}}], ArrowBox[{{0., 0.}, {4.5, 8}}]}, 
   InsetBox[
    StyleBox["\<\"1\\n \"\>",
     StripOnInput->False,
     FontSize->20], {0., 0.}], InsetBox[
    StyleBox["\<\"2\\n \"\>",
     StripOnInput->False,
     FontSize->20], {5., 0.}], InsetBox[
    StyleBox["\<\"3\\n \"\>",
     StripOnInput->False,
     FontSize->20], {6.2, 6.2}], InsetBox[
    StyleBox["\<\"4\\n \"\>",
     StripOnInput->False,
     FontSize->20], {8., 3.}], InsetBox[
    StyleBox["\<\"5\\n \"\>",
     StripOnInput->False,
     FontSize->20], {4.5, 8}]},
  PlotRange->{{-0.5, 10}, {-0.5, 10}}]], "Output",
 ImageSize->{184, 180},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[7]=",
 CellID->529356380]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   StyleBox["CutoffRadius",
    Editable->True],
   Cell["", "ExampleCount"],
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection",
 CellID->20803],

Cell[TextData[{
 "If the distance between two point is larger or equal to 2 times the ",
 Cell[BoxData[
  ButtonBox["CutoffRadius",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/CutoffRadius"]], "InlineFormula"],
 " value, the two points are not connected. Then the distance matrix element \
should be larger or equal to 4 times the squared ",
 Cell[BoxData[
  ButtonBox["CutoffRadius",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/CutoffRadius"]], "InlineFormula"],
 " value. The value ",
 Cell[BoxData[
  ButtonBox["Infinity",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Infinity"]], "InlineFormula"],
 " is default."
}], "ExampleText",
 Editable->True,
 CellID->119855387],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Obtuse`\>\"", "]"}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->121842770],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConnectionList", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "1.", ",", "4."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4.", ",", "0.", ",", "1."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.", ",", "4.", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"CutoffRadius", "\[Rule]", "0.75"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->194588162],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"3", "\[Rule]", "1"}], ",", 
   RowBox[{"2", "\[Rule]", "3"}], ",", 
   RowBox[{"1", "\[Rule]", "2"}]}], "}"}]], "Output",
 ImageSize->{133, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->128808673]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   StyleBox["NeighborLevel",
    Editable->True],
   Cell["", "ExampleCount"],
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection",
 CellID->605988972],

Cell["\<\
The value 1 is default, and specifies that the nearest neighbor connections \
should be returned. The value 2 gives the nearest neigbor connections when \
the level 1 connections are excluded, and so on. These higher neighbor levels \
are used for the higher orders of interpolation.\
\>", "ExampleText",
 Editable->True,
 CellID->84759261],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Obtuse`\>\"", "]"}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->525815970],

Cell[TextData[{
 StyleBox["We return to the first choice of point set, and repeat the \
calculation of cldir2 beneath the ",
  Editable->True],
 Cell[BoxData[
  ButtonBox["ConnectionsToExclude",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/ConnectionsToExclude"]], "InlineFormula"],
 " ",
 StyleBox["option above",
  Editable->True]
}], "ExampleText",
 CellID->524274827],

Cell[BoxData[
 RowBox[{
  RowBox[{"pts", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5.", ",", "0."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6.2", ",", "6.2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8.", ",", "3."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4.5", ",", "8"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->101662645],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConnectionList", "[", 
  RowBox[{
   RowBox[{"DirectedDistanceMatrix", "[", "pts", "]"}], ",", 
   RowBox[{"NeighborLevel", "\[Rule]", "2"}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->95792194],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"5", "\[Rule]", "4"}], ",", 
   RowBox[{"4", "\[Rule]", "5"}], ",", 
   RowBox[{"3", "\[Rule]", "2"}], ",", 
   RowBox[{"2", "\[Rule]", "3"}], ",", 
   RowBox[{"4", "\[Rule]", "1"}], ",", 
   RowBox[{"1", "\[Rule]", "4"}], ",", 
   RowBox[{"3", "\[Rule]", "1"}], ",", 
   RowBox[{"1", "\[Rule]", "5"}]}], "}"}]], "Output",
 ImageSize->{343, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->374298457]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   StyleBox["SmoothenDistance",
    Editable->True],
   Cell["", "ExampleCount"],
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection",
 CellID->5852477],

Cell[TextData[{
 "If the distance between two point is smaller or equal than the ",
 Cell[BoxData[
  ButtonBox["SmoothenDistance",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/SmoothenDistance"]], "InlineFormula"],
 " value, the two points are not connected. Default value is ",
 Cell[BoxData["0."], "InlineFormula"],
 " Negative value should be avoided. If the option ",
 Cell[BoxData[
  ButtonBox["Type",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/Type"]], "InlineFormula"],
 " is set to ",
 Cell[BoxData[
  ButtonBox["Undirected",
   BaseStyle->"Link",
   ButtonData->"paclet:Combinatorica/ref/Undirected"]], "InlineFormula"],
 ", and the squared-distance matrix is unsymmetric, the lowest distance value \
for each point pair is used in comparison to ",
 Cell[BoxData[
  ButtonBox["SmoothenDistance",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/SmoothenDistance"]], "InlineFormula"],
 ". \n",
 Cell[BoxData[
  ButtonBox["SmoothenDistance",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/SmoothenDistance"]], "InlineFormula"],
 " is also an option to Interpolation when ",
 Cell[BoxData[
  RowBox[{"Method", "\[Rule]", "\"\<ObtuseAngle\>\""}]]],
 " is specified. Close to the affected control points, the interpolated value \
will be an average of the corresponding function values. That implies that \
the interpolated function will not take exactly the function values in the \
control points."
}], "ExampleText",
 Editable->True,
 CellID->285128279],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Obtuse`\>\"", "]"}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->556975654],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConnectionList", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0.", ",", "1.", ",", "4."}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"4.", ",", "0.", ",", "1."}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1.", ",", "4.", ",", "0"}], "}"}]}], "}"}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->358063813],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"3", "\[Rule]", "1"}], ",", 
   RowBox[{"2", "\[Rule]", "3"}], ",", 
   RowBox[{"1", "\[Rule]", "2"}]}], "}"}]], "Output",
 ImageSize->{133, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->154909309]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConnectionList", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "1.", ",", "4."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4.", ",", "0.", ",", "1."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.", ",", "4.", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{
    StyleBox["SmoothenDistance",
     Editable->True], "\[Rule]", "1.5"}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->213217260],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"3", "\[Rule]", "2"}], ",", 
   RowBox[{"2", "\[Rule]", "1"}], ",", 
   RowBox[{"1", "\[Rule]", "3"}]}], "}"}]], "Output",
 ImageSize->{133, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->123585557]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   StyleBox["Type",
    Editable->True],
   Cell["", "ExampleCount"],
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection",
 CellID->295054639],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["Type",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/Type"]], "InlineFormula"],
 " is defined in the Combinatorica`context and is an option for many ",
 StyleBox["Combinatorica",
  FontSlant->"Italic"],
 " functions that transform graphs. Depending on the functions it is being \
used in, it can take on values such as ",
 Cell[BoxData[
  ButtonBox["Directed",
   BaseStyle->"Link",
   ButtonData->"paclet:Combinatorica/ref/Directed"]], "InlineFormula"],
 ", ",
 Cell[BoxData[
  ButtonBox["Undirected",
   BaseStyle->"Link",
   ButtonData->"paclet:Combinatorica/ref/Undirected"]], "InlineFormula"],
 ", Simple, etc. For the function ConnectionList the values ",
 Cell[BoxData[
  ButtonBox["Directed",
   BaseStyle->"Link",
   ButtonData->"paclet:Combinatorica/ref/Directed"]], "InlineFormula"],
 " and ",
 Cell[BoxData[
  ButtonBox[
   ButtonBox["Undirected",
    BaseStyle->"Link",
    ButtonData->"paclet:Combinatorica/ref/Undirected"],
   BaseStyle->"Link",
   ButtonData->"paclet:Combinatorica/ref/Undirected"]], "InlineFormula"],
 " are implemented, with ",
 Cell[BoxData[
  ButtonBox["Directed",
   BaseStyle->"Link",
   ButtonData->"paclet:Combinatorica/ref/Directed"]], "InlineFormula"],
 " as default.\nIf the option ",
 Cell[BoxData[
  ButtonBox["Type",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/Type"]], "InlineFormula"],
 " is set to ",
 Cell[BoxData[
  ButtonBox["Directed",
   BaseStyle->"Link",
   ButtonData->"paclet:Combinatorica/ref/Directed"]], "InlineFormula"],
 " : The point A in the point set is NOT connected to the point B if there \
exist one other points C in the point set, such that C is connected to B and \
the angles ACB is obtuse. Further, two points in the network are NOT \
connected if the distance between them is smaller or equal to the ",
 Cell[BoxData[
  ButtonBox["SmoothenDistance",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/SmoothenDistance"]], "InlineFormula"],
 " zero or larger or equal to twice the ",
 Cell[BoxData[
  ButtonBox["CutoffRadius",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/CutoffRadius"]], "InlineFormula"],
 ".   \n  If the option  ",
 Cell[BoxData[
  ButtonBox["Type",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/Type"]], "InlineFormula"],
 " is set to ",
 Cell[BoxData[
  ButtonBox["Undirected",
   BaseStyle->"Link",
   ButtonData->"paclet:Combinatorica/ref/Undirected"]], "InlineFormula"],
 ": Two points A and B in the point set are NOT connected if there exist two \
other points C and D in the point set, such that C is connected to A and D is \
connected to B and both the angles ACB and ADB are obtuse. Further, two \
points in the network are NOT connected if the distance between them is is \
smaller or equal to the ",
 Cell[BoxData[
  ButtonBox["SmoothenDistance",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/SmoothenDistance"]], "InlineFormula"],
 " value or larger or equal to twice the ",
 Cell[BoxData[
  ButtonBox["CutoffRadius",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/CutoffRadius"]], "InlineFormula"],
 ". Each connected point pair occurs only once in the returned list, with the \
lowest point number coming first.\nEven if the option ",
 Cell[BoxData[
  ButtonBox["Type",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/Type"]], "InlineFormula"],
 " is set to ",
 Cell[BoxData[
  ButtonBox["Directed",
   BaseStyle->"Link",
   ButtonData->"paclet:Combinatorica/ref/Directed"]], "InlineFormula"],
 ", most connections are bidirectional. The algorithm for the case ",
 Cell[BoxData[
  ButtonBox["Directed",
   BaseStyle->"Link",
   ButtonData->"paclet:Combinatorica/ref/Directed"]], "InlineFormula"],
 " is somewhat simpler than the case ",
 Cell[BoxData[
  ButtonBox["Undirected",
   BaseStyle->"Link",
   ButtonData->"paclet:Combinatorica/ref/Undirected"]], "InlineFormula"],
 ", and that is the reason to set ",
 Cell[BoxData[
  ButtonBox["Directed",
   BaseStyle->"Link",
   ButtonData->"paclet:Combinatorica/ref/Directed"]], "InlineFormula"],
 " as default. The points in the example below is chosen to emphasize the \
differences between the settings. "
}], "ExampleText",
 Editable->True,
 CellID->28595840],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Obtuse`\>\"", "]"}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->85627697],

Cell[BoxData[
 RowBox[{
  RowBox[{"pts", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5.", ",", "0."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6.2", ",", "6.2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8.", ",", "3."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4.5", ",", "8"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->239715799],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"clud", "=", 
  RowBox[{"ConnectionList", "[", 
   RowBox[{
    RowBox[{"DirectedDistanceMatrix", "[", "pts", "]"}], ",", 
    RowBox[{"Type", "\[Rule]", "Undirected"}]}], "]"}]}]], "Input",
 CellLabel->"In[3]:=",
 CellID->483640573],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"3", "\[Rule]", "5"}], ",", 
   RowBox[{"3", "\[Rule]", "4"}], ",", 
   RowBox[{"2", "\[Rule]", "4"}], ",", 
   RowBox[{"1", "\[Rule]", "2"}], ",", 
   RowBox[{"1", "\[Rule]", "3"}]}], "}"}]], "Output",
 ImageSize->{217, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->306929076]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Graphics", "[", 
  RowBox[{
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"pts", "[", 
            RowBox[{"[", 
             RowBox[{"#", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], ",", 
           RowBox[{"pts", "[", 
            RowBox[{"[", 
             RowBox[{"#", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}]}], "}"}], "]"}], 
        "&"}], "/@", "clud"}], "}"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"StringJoin", "[", 
            RowBox[{
             RowBox[{"ToString", "[", "i", "]"}], ",", "\"\<\\n \>\""}], 
            "]"}], ",", 
           RowBox[{"FontSize", "\[Rule]", "20"}]}], "]"}], ",", 
         RowBox[{"pts", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "pts", "]"}]}], "}"}]}], "]"}]}], "]"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "0.5"}], ",", "10"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "0.5"}], ",", "10"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"ImageSize", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"500", ",", "350"}], "}"}]}]}], "]"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->872466733],

Cell[BoxData[
 GraphicsBox[{{LineBox[{{6.2, 6.2}, {4.5, 8}}], 
    LineBox[{{6.2, 6.2}, {8., 3.}}], LineBox[{{5., 0.}, {8., 3.}}], 
    LineBox[{{0., 0.}, {5., 0.}}], LineBox[{{0., 0.}, {6.2, 6.2}}]}, InsetBox[
    StyleBox["\<\"1\\n \"\>",
     StripOnInput->False,
     FontSize->20], {0., 0.}], InsetBox[
    StyleBox["\<\"2\\n \"\>",
     StripOnInput->False,
     FontSize->20], {5., 0.}], InsetBox[
    StyleBox["\<\"3\\n \"\>",
     StripOnInput->False,
     FontSize->20], {6.2, 6.2}], InsetBox[
    StyleBox["\<\"4\\n \"\>",
     StripOnInput->False,
     FontSize->20], {8., 3.}], InsetBox[
    StyleBox["\<\"5\\n \"\>",
     StripOnInput->False,
     FontSize->20], {4.5, 8}]},
  ImageSize->{500, 350},
  PlotRange->{{-0.5, 10}, {-0.5, 10}}]], "Output",
 ImageSize->{504, 350},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->137827558]
}, Open  ]],

Cell["The option setting Simple is not implemented", "ExampleText",
 Editable->True,
 CellID->30970726],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"clud", "=", 
  RowBox[{"ConnectionList", "[", 
   RowBox[{
    RowBox[{"DirectedDistanceMatrix", "[", "pts", "]"}], ",", 
    RowBox[{"Type", "\[Rule]", "Simple"}]}], "]"}]}]], "Input",
 CellLabel->"In[5]:=",
 CellID->372568508],

Cell[BoxData[
 RowBox[{"ConnectionList", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "0", ",", "25.`", ",", "76.88000000000001`", ",", "72.99999999999999`", 
       ",", "84.25`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "25.`", ",", "0", ",", "39.88`", ",", "17.999999999999996`", ",", 
       "64.25000000000001`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "76.88000000000001`", ",", "39.88`", ",", "0", ",", "13.48`", ",", 
       "6.130000000000001`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "72.99999999999999`", ",", "17.999999999999996`", ",", "13.48`", ",", 
       "0", ",", "37.24999999999999`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "84.25`", ",", "64.25000000000001`", ",", "6.130000000000001`", ",", 
       "37.24999999999999`", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"Type", "\[Rule]", "Simple"}]}], "]"}]], "Output",
 ImageSize->{517, 50},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->107874760]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Applications",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(3)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection",
 CellID->258228157],

Cell[TextData[StyleBox["Let us make a point set of multi-dimensional \
normal-distributed random vectors. This point set will form a diffuse \
multi-dimensional hyper-sphere, where some points are on the boundary, and \
some might be in the interior. We might then calculate the length of the \
connection list. With 5 dimensions and 100 points we get around 13 \
connections starting in each point, and 13 ending. We might expect interior \
points to have more connections than boundary points:",
 Editable->True]], "ExampleText",
 CellID->484322576],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"dim", "=", "5"}], ";", 
  RowBox[{"points", "=", "100"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Obtuse`\>\"", "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"pts", "=", 
   RowBox[{"RandomReal", "[", 
    RowBox[{
     RowBox[{"NormalDistribution", "[", 
      RowBox[{"0", ",", "1"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"points", ",", "dim"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"dm", "=", 
   RowBox[{"DirectedDistanceMatrix", "[", "pts", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"cl", "=", 
   RowBox[{"ConnectionList", "[", "dm", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "cl", "]"}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->24090304],

Cell[BoxData["1337"], "Output",
 ImageSize->{32, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->454025393]
}, Open  ]],

Cell[TextData[{
 StyleBox["The corresponding ",
  Editable->True],
 StyleBox["undirected",
  Editable->True],
 StyleBox[" list has approximately half the length, with around 13 \
connections from each point:",
  Editable->True]
}], "ExampleText",
 CellID->133892000],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"clundirected", "=", 
   RowBox[{"ConnectionList", "[", 
    RowBox[{"dm", ",", 
     RowBox[{"Type", "\[Rule]", "Undirected"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "clundirected", "]"}]}], "Input",
 CellLabel->"In[2]:=",
 CellID->403262779],

Cell[BoxData["680"], "Output",
 ImageSize->{25, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->28153043]
}, Open  ]],

Cell[TextData[StyleBox["With 6 dimensions, we get approx. 30% increase:",
 Editable->True]], "ExampleText",
 CellID->108654997],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"dim", "=", "6"}], ";", 
  RowBox[{"points", "=", "100"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Obtuse`\>\"", "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"pts", "=", 
   RowBox[{"RandomReal", "[", 
    RowBox[{
     RowBox[{"NormalDistribution", "[", 
      RowBox[{"0", ",", "1"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"points", ",", "dim"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"dm", "=", 
   RowBox[{"DirectedDistanceMatrix", "[", "pts", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"cl", "=", 
   RowBox[{"ConnectionList", "[", "dm", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "cl", "]"}]}], "Input",
 CellLabel->"In[3]:=",
 CellID->7490593],

Cell[BoxData["1700"], "Output",
 ImageSize->{32, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->519265448]
}, Open  ]],

Cell[TextData[StyleBox["We might illustrate the case with 10 points in 2 \
dimensions:",
 Editable->True]], "ExampleText",
 CellID->130588250],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"dim", "=", "2"}], ";", 
  RowBox[{"points", "=", "10"}], ";", 
  RowBox[{"pts", "=", 
   RowBox[{"RandomReal", "[", 
    RowBox[{
     RowBox[{"NormalDistribution", "[", 
      RowBox[{"0", ",", "1"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"points", ",", "dim"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"conlist", "=", 
   RowBox[{"ConnectionList", "[", 
    RowBox[{"DirectedDistanceMatrix", "[", "pts", "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{"Graphics", "[", 
  RowBox[{
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"pts", "[", 
            RowBox[{"[", 
             RowBox[{"#", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], ",", 
           RowBox[{"pts", "[", 
            RowBox[{"[", 
             RowBox[{"#", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}]}], "}"}], "]"}], 
        "&"}], "/@", "conlist"}], "}"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"StringJoin", "[", 
            RowBox[{
             RowBox[{"ToString", "[", "i", "]"}], ",", "\"\<\\n \>\""}], 
            "]"}], ",", 
           RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}], ",", 
         RowBox[{"pts", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "pts", "]"}]}], "}"}]}], "]"}]}], "]"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "}"}]}]}], "]"}]}], "Input",
 CellLabel->"In[4]:=",
 CellID->505521937],

Cell[BoxData[
 GraphicsBox[{{
    ArrowBox[{{-1.296782221086479, 
     2.2864766536486423`}, {-1.0878969026775993`, 1.8653794169874502`}}], 
    ArrowBox[{{-1.0878969026775993`, 
     1.8653794169874502`}, {-1.296782221086479, 2.2864766536486423`}}], 
    ArrowBox[{{-0.3697831541295616, 
     1.0817181518717827`}, {-0.1021451485629385, 0.6681692058278617}}], 
    ArrowBox[{{-0.1021451485629385, 0.6681692058278617}, {-0.3697831541295616,
      1.0817181518717827`}}], 
    ArrowBox[{{-0.5708516553891777, -0.5949367062978519}, \
{-0.08165258136079728, -0.39661068969705227`}}], 
    ArrowBox[{{-0.08165258136079728, -0.39661068969705227`}, \
{-0.5708516553891777, -0.5949367062978519}}], 
    ArrowBox[{{0.8106103572539042, 0.019048879603061522`}, {
     1.4589080713814135`, -0.6206762318121314}}], 
    ArrowBox[{{1.4589080713814135`, -0.6206762318121314}, {0.8106103572539042,
      0.019048879603061522`}}], 
    ArrowBox[{{1.4589080713814135`, -0.6206762318121314}, {
     1.2632316223611817`, -1.5570941917791803`}}], 
    ArrowBox[{{1.2632316223611817`, -1.5570941917791803`}, {
     1.4589080713814135`, -0.6206762318121314}}], 
    ArrowBox[{{0.8106103572539042, 
     0.019048879603061522`}, {-0.08165258136079728, -0.39661068969705227`}}], 
    ArrowBox[{{-0.08165258136079728, -0.39661068969705227`}, {
     0.8106103572539042, 0.019048879603061522`}}], 
    ArrowBox[{{-1.0878969026775993`, 
     1.8653794169874502`}, {-0.3697831541295616, 1.0817181518717827`}}], 
    ArrowBox[{{-0.3697831541295616, 
     1.0817181518717827`}, {-1.0878969026775993`, 1.8653794169874502`}}], 
    ArrowBox[{{-0.08165258136079728, -0.39661068969705227`}, \
{-0.1021451485629385, 0.6681692058278617}}], 
    ArrowBox[{{-0.1021451485629385, 
     0.6681692058278617}, {-0.08165258136079728, -0.39661068969705227`}}], 
    ArrowBox[{{0.8106103572539042, 
     0.019048879603061522`}, {-0.1021451485629385, 0.6681692058278617}}], 
    ArrowBox[{{-0.1021451485629385, 0.6681692058278617}, {0.8106103572539042, 
     0.019048879603061522`}}], 
    ArrowBox[{{0.13678008122883473`, -2.1250944375968173`}, {
     1.2632316223611817`, -1.5570941917791803`}}], 
    ArrowBox[{{1.2632316223611817`, -1.5570941917791803`}, {
     0.13678008122883473`, -2.1250944375968173`}}], 
    ArrowBox[{{-0.5708516553891777, -0.5949367062978519}, {
     0.13678008122883473`, -2.1250944375968173`}}], 
    ArrowBox[{{
     0.13678008122883473`, -2.1250944375968173`}, {-0.5708516553891777, \
-0.5949367062978519}}], 
    ArrowBox[{{
     0.13678008122883473`, -2.1250944375968173`}, {-0.08165258136079728, \
-0.39661068969705227`}}], 
    ArrowBox[{{-0.08165258136079728, -0.39661068969705227`}, {
     0.13678008122883473`, -2.1250944375968173`}}], 
    ArrowBox[{{-0.08165258136079728, -0.39661068969705227`}, {
     1.2632316223611817`, -1.5570941917791803`}}], 
    ArrowBox[{{
     1.2632316223611817`, -1.5570941917791803`}, {-0.08165258136079728, \
-0.39661068969705227`}}], 
    ArrowBox[{{-1.0878969026775993`, 
     1.8653794169874502`}, {-0.5708516553891777, -0.5949367062978519}}]}, 
   InsetBox[
    StyleBox["\<\"1\\n \"\>",
     StripOnInput->False,
     FontSize->12], {-0.1021451485629385, 0.6681692058278617}], InsetBox[
    StyleBox["\<\"2\\n \"\>",
     StripOnInput->False,
     FontSize->12], {-0.3697831541295616, 1.0817181518717827`}], InsetBox[
    StyleBox["\<\"3\\n \"\>",
     StripOnInput->False,
     FontSize->12], {-1.0878969026775993`, 1.8653794169874502`}], InsetBox[
    StyleBox["\<\"4\\n \"\>",
     StripOnInput->False,
     FontSize->12], {-1.296782221086479, 2.2864766536486423`}], InsetBox[
    StyleBox["\<\"5\\n \"\>",
     StripOnInput->False,
     FontSize->12], {1.2632316223611817`, -1.5570941917791803`}], InsetBox[
    StyleBox["\<\"6\\n \"\>",
     StripOnInput->False,
     FontSize->12], {-0.08165258136079728, -0.39661068969705227`}], InsetBox[
    StyleBox["\<\"7\\n \"\>",
     StripOnInput->False,
     FontSize->12], {0.13678008122883473`, -2.1250944375968173`}], InsetBox[
    StyleBox["\<\"8\\n \"\>",
     StripOnInput->False,
     FontSize->12], {1.4589080713814135`, -0.6206762318121314}], InsetBox[
    StyleBox["\<\"9\\n \"\>",
     StripOnInput->False,
     FontSize->12], {-0.5708516553891777, -0.5949367062978519}], InsetBox[
    StyleBox["\<\"10\\n \"\>",
     StripOnInput->False,
     FontSize->12], {0.8106103572539042, 0.019048879603061522`}]},
  ImageSize->{303.2, Automatic},
  PlotRange->{{-3, 3}, {-3, 3}}]], "Output",
 ImageSize->{307, 303},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->231644340]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->63150466],

Cell[TextData[StyleBox["Let us now check a system with only interior points. \
We make a point set 100 points of 5-dimensional random vectors, with \
uniformly distributed coordinates in the interval [0,1). Then we apply \
periodic boundary conditions, so that each point is repeated with the period \
1 in each dimension, and define the distance as the shortest distance in this \
periodic system. We start with a distance function and a distance matrix:",
 Editable->True]], "ExampleText",
 CellID->231323175],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Obtuse`\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"moddistpts", "[", 
    RowBox[{"pt_", ",", "i_", ",", "j_"}], "]"}], ":=", 
   RowBox[{"SquaredEuclideanDistance", "[", 
    RowBox[{
     RowBox[{"Mod", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"pt", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "-", 
        RowBox[{"pt", "[", 
         RowBox[{"[", "j", "]"}], "]"}]}], ",", "1", ",", 
       RowBox[{"-", "0.5"}]}], "]"}], ",", 
     RowBox[{
      RowBox[{"pt", "[", 
       RowBox[{"[", "i", "]"}], "]"}], "-", 
      RowBox[{"pt", "[", 
       RowBox[{"[", "i", "]"}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{
   RowBox[{"moddistmat", "[", "pts_", "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"moddistpts", "[", 
      RowBox[{"pts", ",", "i", ",", "j"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", "pts", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"Length", "[", "pts", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->221922294],

Cell[TextData[StyleBox["We ollustrate this case in two dimensions and 6 \
points. Note that the graph is a unit cell that fits into a periodic tiling:",
 Editable->True]], "ExampleText",
 CellID->417262010],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"dim", "=", "2"}], ";", 
  RowBox[{"points", "=", "6"}], ";", 
  RowBox[{"pt2dim", "=", 
   RowBox[{"RandomReal", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"points", ",", "dim"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"conlist2dim", "=", 
   RowBox[{"ConnectionList", "[", 
    RowBox[{"moddistmat", "[", "pt2dim", "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{"Graphics", "[", 
  RowBox[{
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"pt2dim", "[", 
            RowBox[{"[", 
             RowBox[{"#", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], ",", 
           RowBox[{
            RowBox[{"pt2dim", "[", 
             RowBox[{"[", 
              RowBox[{"#", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "+", 
            RowBox[{"Mod", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"pt2dim", "[", 
                RowBox[{"[", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}], "-", 
               RowBox[{"pt2dim", "[", 
                RowBox[{"[", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}]}], ",", "1", 
              ",", 
              RowBox[{"-", "0.5"}]}], "]"}]}]}], "}"}], "]"}], "&"}], "/@", 
       "conlist2dim"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"pt2dim", "[", 
             RowBox[{"[", 
              RowBox[{"#", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}], "-", 
            RowBox[{"Mod", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"pt2dim", "[", 
                RowBox[{"[", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}], "-", 
               RowBox[{"pt2dim", "[", 
                RowBox[{"[", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}]}], ",", "1", 
              ",", 
              RowBox[{"-", "0.5"}]}], "]"}]}], ",", 
           RowBox[{"pt2dim", "[", 
            RowBox[{"[", 
             RowBox[{"#", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}]}], "}"}], "]"}], 
        "&"}], "/@", "conlist2dim"}], "}"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"StringJoin", "[", 
            RowBox[{
             RowBox[{"ToString", "[", "i", "]"}], ",", "\"\<\\n \>\""}], 
            "]"}], ",", 
           RowBox[{"FontSize", "\[Rule]", "20"}]}], "]"}], ",", 
         RowBox[{"pt2dim", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "pt2dim", "]"}]}], "}"}]}], "]"}]}], "]"}], 
   ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.", ",", "1."}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.", ",", "1."}], "}"}]}], "}"}]}]}], "]"}]}], "Input",
 CellLabel->"In[2]:=",
 CellID->5115288],

Cell[BoxData[
 GraphicsBox[{{
    ArrowBox[{{0.8579816150170243, 0.9541976290480914}, {0.7494805990665196, 
     0.7868868618952853}}], 
    ArrowBox[{{0.7494805990665196, 0.7868868618952853}, {0.8579816150170243, 
     0.9541976290480914}}], 
    ArrowBox[{{0.8471838516897372, 0.1844863289202041}, {
     0.8579816150170243, -0.045802370951908644`}}], 
    ArrowBox[{{0.8579816150170243, 0.9541976290480914}, {0.8471838516897372, 
     1.1844863289202041`}}], 
    ArrowBox[{{0.8471838516897372, 0.1844863289202041}, {0.6128969526042185, 
     0.060188497957885057`}}], 
    ArrowBox[{{0.6128969526042185, 0.060188497957885057`}, {
     0.8471838516897372, 0.1844863289202041}}], 
    ArrowBox[{{0.6128969526042185, 0.060188497957885057`}, {
     0.8579816150170243, -0.045802370951908644`}}], 
    ArrowBox[{{0.8579816150170243, 0.9541976290480914}, {0.6128969526042185, 
     1.060188497957885}}], 
    ArrowBox[{{0.2526942033634858, 0.5442100236877321}, {0.5133779382379038, 
     0.4731430925651283}}], 
    ArrowBox[{{0.5133779382379038, 0.4731430925651283}, {0.2526942033634858, 
     0.5442100236877321}}], 
    ArrowBox[{{0.6128969526042185, 0.060188497957885057`}, {
     0.7494805990665196, -0.21311313810471466`}}], 
    ArrowBox[{{0.7494805990665196, 0.7868868618952853}, {0.6128969526042185, 
     1.060188497957885}}], 
    ArrowBox[{{0.5133779382379038, 0.4731430925651283}, {0.7494805990665196, 
     0.7868868618952853}}], 
    ArrowBox[{{0.7494805990665196, 0.7868868618952853}, {0.5133779382379038, 
     0.4731430925651283}}], 
    ArrowBox[{{0.6128969526042185, 0.060188497957885057`}, {
     0.5133779382379038, 0.4731430925651283}}], 
    ArrowBox[{{0.5133779382379038, 0.4731430925651283}, {0.6128969526042185, 
     0.060188497957885057`}}], 
    ArrowBox[{{0.8471838516897372, 0.1844863289202041}, {0.5133779382379038, 
     0.4731430925651283}}], 
    ArrowBox[{{0.5133779382379038, 0.4731430925651283}, {0.8471838516897372, 
     0.1844863289202041}}], 
    ArrowBox[{{0.2526942033634858, 0.5442100236877321}, {-0.1420183849829757, 
     0.9541976290480914}}], 
    ArrowBox[{{0.8579816150170243, 0.9541976290480914}, {1.2526942033634858`, 
     0.5442100236877321}}]}, {
    ArrowBox[{{0.8579816150170243, 0.9541976290480914}, {0.7494805990665196, 
     0.7868868618952853}}], 
    ArrowBox[{{0.7494805990665196, 0.7868868618952853}, {0.8579816150170243, 
     0.9541976290480914}}], 
    ArrowBox[{{0.8471838516897372, 1.1844863289202041`}, {0.8579816150170243, 
     0.9541976290480914}}], 
    ArrowBox[{{0.8579816150170243, -0.045802370951908644`}, {
     0.8471838516897372, 0.1844863289202041}}], 
    ArrowBox[{{0.8471838516897372, 0.1844863289202041}, {0.6128969526042185, 
     0.060188497957885057`}}], 
    ArrowBox[{{0.6128969526042185, 0.060188497957885057`}, {
     0.8471838516897372, 0.1844863289202041}}], 
    ArrowBox[{{0.6128969526042185, 1.060188497957885}, {0.8579816150170243, 
     0.9541976290480914}}], 
    ArrowBox[{{0.8579816150170243, -0.045802370951908644`}, {
     0.6128969526042185, 0.060188497957885057`}}], 
    ArrowBox[{{0.2526942033634858, 0.5442100236877321}, {0.5133779382379038, 
     0.4731430925651283}}], 
    ArrowBox[{{0.5133779382379038, 0.4731430925651283}, {0.2526942033634858, 
     0.5442100236877321}}], 
    ArrowBox[{{0.6128969526042185, 1.060188497957885}, {0.7494805990665196, 
     0.7868868618952853}}], 
    ArrowBox[{{0.7494805990665196, -0.21311313810471466`}, {
     0.6128969526042185, 0.060188497957885057`}}], 
    ArrowBox[{{0.5133779382379038, 0.4731430925651283}, {0.7494805990665196, 
     0.7868868618952853}}], 
    ArrowBox[{{0.7494805990665196, 0.7868868618952853}, {0.5133779382379038, 
     0.4731430925651283}}], 
    ArrowBox[{{0.6128969526042185, 0.060188497957885057`}, {
     0.5133779382379038, 0.4731430925651283}}], 
    ArrowBox[{{0.5133779382379038, 0.4731430925651283}, {0.6128969526042185, 
     0.060188497957885057`}}], 
    ArrowBox[{{0.8471838516897372, 0.1844863289202041}, {0.5133779382379038, 
     0.4731430925651283}}], 
    ArrowBox[{{0.5133779382379038, 0.4731430925651283}, {0.8471838516897372, 
     0.1844863289202041}}], 
    ArrowBox[{{1.2526942033634858`, 0.5442100236877321}, {0.8579816150170243, 
     0.9541976290480914}}], 
    ArrowBox[{{-0.1420183849829757, 0.9541976290480914}, {0.2526942033634858, 
     0.5442100236877321}}]}, InsetBox[
    StyleBox["\<\"1\\n \"\>",
     StripOnInput->False,
     FontSize->20], {0.7494805990665196, 0.7868868618952853}], InsetBox[
    StyleBox["\<\"2\\n \"\>",
     StripOnInput->False,
     FontSize->20], {0.8579816150170243, 0.9541976290480914}], InsetBox[
    StyleBox["\<\"3\\n \"\>",
     StripOnInput->False,
     FontSize->20], {0.5133779382379038, 0.4731430925651283}], InsetBox[
    StyleBox["\<\"4\\n \"\>",
     StripOnInput->False,
     FontSize->20], {0.6128969526042185, 0.060188497957885057`}], InsetBox[
    StyleBox["\<\"5\\n \"\>",
     StripOnInput->False,
     FontSize->20], {0.2526942033634858, 0.5442100236877321}], InsetBox[
    StyleBox["\<\"6\\n \"\>",
     StripOnInput->False,
     FontSize->20], {0.8471838516897372, 0.1844863289202041}]},
  ImageSize->{289.59999999999997`, Automatic},
  PlotRange->{{0., 1.}, {0, 1.}}]], "Output",
 ImageSize->{294, 290},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->148867268]
}, Open  ]],

Cell["\<\
With 5 dimensions and 100 points we get around 24 connections starting in \
each point, and 24 ending. We might expect interior points to have more \
connections than boundary points. If we would start with more than 100 \
points, we might get a slightly higher average, since for 100 points some \
points might have their own repetition as neighbor, or 2 instances of some \
other repeated point.\
\>", "ExampleText",
 Editable->True,
 CellID->627627198],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"dim", "=", "5"}], ";", 
  RowBox[{"points", "=", "100"}], ";", 
  RowBox[{"pt2dim", "=", 
   RowBox[{"RandomReal", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"points", ",", "dim"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"conlist2dim", "=", 
   RowBox[{"ConnectionList", "[", 
    RowBox[{"moddistmat", "[", "pt2dim", "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{"Length", "[", "conlist2dim", "]"}]}], "Input",
 CellLabel->"In[3]:=",
 CellID->281415902],

Cell[BoxData["2440"], "Output",
 ImageSize->{32, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->807803981]
}, Open  ]],

Cell[TextData[StyleBox["The corresponding undirected list has approximately \
half the length, with around 25 connections from each point:",
 Editable->True]], "ExampleText",
 CellID->490688984],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"dim", "=", "5"}], ";", 
  RowBox[{"points", "=", "100"}], ";", 
  RowBox[{"pt2dim", "=", 
   RowBox[{"RandomReal", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"points", ",", "dim"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"conlist2dim", "=", 
   RowBox[{"ConnectionList", "[", 
    RowBox[{
     RowBox[{"moddistmat", "[", "pt2dim", "]"}], ",", 
     RowBox[{"Type", "\[Rule]", "Undirected"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"Length", "[", "conlist2dim", "]"}]}], "Input",
 CellLabel->"In[4]:=",
 CellID->862832626],

Cell[BoxData["1242"], "Output",
 ImageSize->{32, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->577162247]
}, Open  ]],

Cell[TextData[StyleBox["With 6 dimensions, we get approx. 40% increase:",
 Editable->True]], "ExampleText",
 CellID->614854265],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"dim", "=", "6"}], ";", 
  RowBox[{"points", "=", "100"}], ";", 
  RowBox[{"pt2dim", "=", 
   RowBox[{"RandomReal", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"points", ",", "dim"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"conlist2dim", "=", 
   RowBox[{"ConnectionList", "[", 
    RowBox[{"moddistmat", "[", "pt2dim", "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{"Length", "[", "conlist2dim", "]"}]}], "Input",
 CellLabel->"In[5]:=",
 CellID->8743614],

Cell[BoxData["3247"], "Output",
 ImageSize->{32, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->312488444]
}, Open  ]],

Cell[TextData[StyleBox["With 200 points and dimensions, we get approx. 29 \
connections starting in each point, and 29 ending:",
 Editable->True]], "ExampleText",
 CellID->18599814],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"dim", "=", "5"}], ";", 
  RowBox[{"points", "=", "200"}], ";", 
  RowBox[{"pt2dim", "=", 
   RowBox[{"RandomReal", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"points", ",", "dim"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"conlist2dim", "=", 
   RowBox[{"ConnectionList", "[", 
    RowBox[{"moddistmat", "[", "pt2dim", "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{"Length", "[", "conlist2dim", "]"}]}], "Input",
 CellLabel->"In[6]:=",
 CellID->286943319],

Cell[BoxData["5882"], "Output",
 ImageSize->{32, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[6]=",
 CellID->880444142]
}, Open  ]],

Cell[TextData[StyleBox["We can see that the obtuse-angle shadowing rule, used \
in the ConnectionList command, is sensitive to the dimensionality och \
structure of the point set investigated. Thus it might be useful in the \
investigation of experimental point sets. Such point sets occur in many \
experimental contexts with multi-dimensional data.",
 Editable->True]], "ExampleText",
 CellID->25097218]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->75355362],

Cell[TextData[StyleBox["We might modify the periodic system above to obtain a \
system with an unsymmetric distance function. Let the distance between point \
A and point B be defined by the distance between A and the closest repetition \
of B to the right and above point A.  We start with a distance function and a \
distance matrix:",
 Editable->True]], "ExampleText",
 CellID->110297101],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Obtuse`\>\"", "]"}], ";", 
  RowBox[{
   RowBox[{"moddistptsunsym", "[", 
    RowBox[{"pt_", ",", "i_", ",", "j_"}], "]"}], ":=", 
   RowBox[{"SquaredEuclideanDistance", "[", 
    RowBox[{
     RowBox[{"Mod", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"pt", "[", 
         RowBox[{"[", "j", "]"}], "]"}], "-", 
        RowBox[{"pt", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], ",", "1"}], "]"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"pt", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "-", 
        RowBox[{"pt", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], ")"}], "*", "0."}]}], "]"}]}], ";", 
  RowBox[{
   RowBox[{"moddistmatunsym", "[", "pts_", "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"moddistptsunsym", "[", 
      RowBox[{"pts", ",", "i", ",", "j"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", "pts", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"Length", "[", "pts", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->153300111],

Cell[TextData[StyleBox["We illustrate this case in 2 dimensions and 6 points:",
 Editable->True]], "ExampleText",
 CellID->527071291],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"dim", "=", "2"}], ";", 
  RowBox[{"points", "=", "6"}], ";", 
  RowBox[{"pt2dim", "=", 
   RowBox[{"RandomReal", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"points", ",", "dim"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"conlist2dimunsym", "=", 
   RowBox[{"ConnectionList", "[", 
    RowBox[{"moddistmatunsym", "[", "pt2dim", "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{"Graphics", "[", 
  RowBox[{
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"pt2dim", "[", 
            RowBox[{"[", 
             RowBox[{"#", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], ",", 
           RowBox[{
            RowBox[{"pt2dim", "[", 
             RowBox[{"[", 
              RowBox[{"#", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "+", 
            RowBox[{"Mod", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"pt2dim", "[", 
                RowBox[{"[", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}], "-", 
               RowBox[{"pt2dim", "[", 
                RowBox[{"[", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}]}], ",", "1"}], 
             "]"}]}]}], "}"}], "]"}], "&"}], "/@", "conlist2dimunsym"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"pt2dim", "[", 
             RowBox[{"[", 
              RowBox[{"#", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}], "-", 
            RowBox[{"Mod", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"pt2dim", "[", 
                RowBox[{"[", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}], "-", 
               RowBox[{"pt2dim", "[", 
                RowBox[{"[", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}]}], ",", "1"}], 
             "]"}]}], ",", 
           RowBox[{"pt2dim", "[", 
            RowBox[{"[", 
             RowBox[{"#", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}]}], "}"}], "]"}], 
        "&"}], "/@", "conlist2dimunsym"}], "}"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"StringJoin", "[", 
            RowBox[{
             RowBox[{"ToString", "[", "i", "]"}], ",", "\"\<\\n \>\""}], 
            "]"}], ",", 
           RowBox[{"FontSize", "\[Rule]", "20"}]}], "]"}], ",", 
         RowBox[{"pt2dim", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "pt2dim", "]"}]}], "}"}]}], "]"}]}], "]"}], 
   ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "0."}], ",", "1."}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1."}], "}"}]}], "}"}]}]}], "]"}]}], "Input",
 CellLabel->"In[2]:=",
 CellID->82451871],

Cell[BoxData[
 GraphicsBox[{{
    ArrowBox[{{0.8710629132408918, 0.8418615534411211}, {1.044403303296999, 
     0.8686888534030579}}], 
    ArrowBox[{{0.04440330329699904, 0.8686888534030579}, {0.2805300935562127, 
     1.0661347346098131`}}], 
    ArrowBox[{{0.12814179556006322`, 0.7937453331378617}, {0.2805300935562127,
      1.0661347346098131`}}], 
    ArrowBox[{{0.5086674611499264, 0.7670095349629289}, {0.8710629132408918, 
     0.8418615534411211}}], 
    ArrowBox[{{0.04440330329699904, 0.8686888534030579}, {0.1664275933718562, 
     1.2996813289094196`}}], 
    ArrowBox[{{0.12814179556006322`, 0.7937453331378617}, {0.1664275933718562,
      1.2996813289094196`}}], 
    ArrowBox[{{0.1664275933718562, 0.29968132890941956`}, {0.5086674611499264,
      0.7670095349629289}}], 
    ArrowBox[{{0.5086674611499264, 0.7670095349629289}, {1.1281417955600632`, 
     0.7937453331378617}}], 
    ArrowBox[{{0.2805300935562127, 0.06613473460981312}, {0.5086674611499264, 
     0.7670095349629289}}], 
    ArrowBox[{{0.12814179556006322`, 0.7937453331378617}, {0.8710629132408918,
      0.8418615534411211}}], 
    ArrowBox[{{0.1664275933718562, 0.29968132890941956`}, {0.2805300935562127,
      1.0661347346098131`}}], 
    ArrowBox[{{0.2805300935562127, 0.06613473460981312}, {1.1664275933718562`,
      0.29968132890941956`}}], 
    ArrowBox[{{0.04440330329699904, 0.8686888534030579}, {
     0.12814179556006322`, 1.7937453331378617`}}]}, {
    ArrowBox[{{-0.1289370867591082, 0.8418615534411211}, {0.04440330329699904,
      0.8686888534030579}}], 
    ArrowBox[{{0.04440330329699904, -0.1313111465969421}, {0.2805300935562127,
      0.06613473460981312}}], 
    ArrowBox[{{0.12814179556006322`, -0.20625466686213834`}, {
     0.2805300935562127, 0.06613473460981312}}], 
    ArrowBox[{{0.5086674611499264, 0.7670095349629289}, {0.8710629132408918, 
     0.8418615534411211}}], 
    ArrowBox[{{0.04440330329699904, -0.1313111465969421}, {0.1664275933718562,
      0.29968132890941956`}}], 
    ArrowBox[{{0.12814179556006322`, -0.20625466686213834`}, {
     0.1664275933718562, 0.29968132890941956`}}], 
    ArrowBox[{{0.1664275933718562, 0.29968132890941956`}, {0.5086674611499264,
      0.7670095349629289}}], 
    ArrowBox[{{-0.49133253885007355`, 0.7670095349629289}, {
     0.12814179556006322`, 0.7937453331378617}}], 
    ArrowBox[{{0.2805300935562127, 0.06613473460981312}, {0.5086674611499264, 
     0.7670095349629289}}], 
    ArrowBox[{{0.12814179556006322`, 0.7937453331378617}, {0.8710629132408918,
      0.8418615534411211}}], 
    ArrowBox[{{0.1664275933718562, -0.7003186710905804}, {0.2805300935562127, 
     0.06613473460981312}}], 
    ArrowBox[{{-0.7194699064437873, 0.06613473460981312}, {0.1664275933718562,
      0.29968132890941956`}}], 
    ArrowBox[{{0.04440330329699904, -0.1313111465969421}, {
     0.12814179556006322`, 0.7937453331378617}}]}, InsetBox[
    StyleBox["\<\"1\\n \"\>",
     StripOnInput->False,
     FontSize->20], {0.2805300935562127, 0.06613473460981312}], InsetBox[
    StyleBox["\<\"2\\n \"\>",
     StripOnInput->False,
     FontSize->20], {0.1664275933718562, 0.29968132890941956`}], InsetBox[
    StyleBox["\<\"3\\n \"\>",
     StripOnInput->False,
     FontSize->20], {0.8710629132408918, 0.8418615534411211}], InsetBox[
    StyleBox["\<\"4\\n \"\>",
     StripOnInput->False,
     FontSize->20], {0.12814179556006322`, 0.7937453331378617}], InsetBox[
    StyleBox["\<\"5\\n \"\>",
     StripOnInput->False,
     FontSize->20], {0.04440330329699904, 0.8686888534030579}], InsetBox[
    StyleBox["\<\"6\\n \"\>",
     StripOnInput->False,
     FontSize->20], {0.5086674611499264, 0.7670095349629289}]},
  ImageSize->{289.59999999999997`, Automatic},
  PlotRange->{{0., 1.}, {0, 1.}}]], "Output",
 ImageSize->{294, 290},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->568330986]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "conlist2dimunsym", "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->624467990],

Cell[BoxData["13"], "Output",
 ImageSize->{18, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->758198101]
}, Open  ]],

Cell[TextData[StyleBox["With 5 dimensions and 100 points we get around 32 \
connections starting in each point, and 32 ending:",
 Editable->True]], "ExampleText",
 CellID->99008282],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"dim", "=", "5"}], ";", 
  RowBox[{"points", "=", "100"}], ";", 
  RowBox[{"pt2dim", "=", 
   RowBox[{"RandomReal", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"points", ",", "dim"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"conlist2dimunsym", "=", 
   RowBox[{"ConnectionList", "[", 
    RowBox[{"moddistmatunsym", "[", "pt2dim", "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{"Length", "[", "conlist2dimunsym", "]"}]}], "Input",
 CellLabel->"In[4]:=",
 CellID->254936710],

Cell[BoxData["3065"], "Output",
 ImageSize->{32, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->958428249]
}, Open  ]]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["ConnectedFrom",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/ConnectedFrom"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["ConnectedNeighbors",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/ConnectedNeighbors"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["ConnectedTo",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/ConnectedTo"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["FriendsCountList",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/FriendCountList"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["FriendsFromList",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/FriendsFromList"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["FriendsList",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/FriendsList"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["FriendsToList",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/FriendsToList"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox[
    RowBox[{"Interpolation", ",", " ", 
     RowBox[{"Method", " ", "->", " ", "\"\<ObtuseAngle\>\""}]}],
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/InterpolationMethodObtuseAngle"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["DirectedDistanceMatrix",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/DirectedDistanceMatrix"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["DistanceMatrix",
    BaseStyle->"Link",
    ButtonData->"paclet:HierarchicalClustering/ref/DistanceMatrix"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[ButtonBox["Obtuse Angle Shadowing Networks",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Obtuse Angle Shadowing Networks"]], "Tutorials",
 CellID->18999690],

Cell[TextData[ButtonBox["Interpolation interactive demo",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Interpolation interactive demo"]], "Tutorials",
 CellID->105429453]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 CellID->38303248],

Cell[TextData[ButtonBox["Obtuse Package",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/guide/ObtusePackage"]], "MoreAbout",
 CellID->374933460]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"ConnectionList - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2010, 5, 24, 20, 41, 0.3725314}", "context" -> "Obtuse`", 
    "keywords" -> {
     "Obtuse Angle Shadowing", "Obtuse Angle", "Distance matrix", 
      "Connected Points", "Network", "Neighbors"}, "index" -> True, "label" -> 
    "Obtuse Paclet Symbol", "language" -> "en", "paclet" -> "Obtuse", 
    "status" -> "None", "summary" -> 
    "ConnectionList[distmatrix, (options)] gives a list of connected point \
pairs \\ according to the obtuse - angle - shadowing rule in a discrete point \
set, if distmatrix is the squared - distance matrix for the distinct points. \
This matrix should contain real elements, but it does not necessarily need to \
be symmetric. The output is compatible with the graph objects in the Graph \\ \
Utilities Package . If the option Type is set to Directed : The point A in \
the point set is NOT connected to the point B if \\ there exist one other \
points C in the point set, such that C is \\ connected to B and the angles \
ACB is obtuse. Further, two points in \\ the network are NOT connected if the \
distance between them is smaller \\ or equal to \
ButtonBox[\"SmoothenDistance\", BaseStyle->\"Link\", \
ButtonData->\"paclet:Obtuse/ref/SmoothenDistance\"] or larger or \\ equal to \
twice the CutoffRadius. If the option Type is set to Undirected : Two points \
A and B in the point set are NOT connected if there \\ exist two other points \
C and D (maybe identical) in the point set, \\ such that C is connected to A \
and D is connected to B and both the \\ angles ACB and ADB are obtuse. \
Further, two points in the network are NOT connected if the \\ distance \
between them is is smaller or equal to SmoothenDistance or \\ larger or equal \
to twice the CutoffRadius. Each connected point pair occurs only once in the \
returned list, \\ with the lowest point number coming first. The resulting \
list is sorted according to the length of the \\ connections.", 
    "synonyms" -> {}, "title" -> "ConnectionList", "type" -> "Symbol", "uri" -> 
    "Obtuse/ref/ConnectionList"}, "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
   StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[15881, 402, 460, 13, 45, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->81168705]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 118976, 3447}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[595, 21, 76, 1, 3, "SymbolColorBar"],
Cell[674, 24, 178, 5, 19, "LinkTrail"],
Cell[855, 31, 4141, 91, 46, "AnchorBarGrid",
 CellID->1],
Cell[CellGroupData[{
Cell[5021, 126, 57, 1, 51, "ObjectName",
 CellID->1224892054],
Cell[5081, 129, 6357, 138, 436, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[11475, 272, 579, 17, 39, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->67231237],
Cell[12057, 291, 426, 16, 70, "Notes",
 CellID->1067943069],
Cell[12486, 309, 72, 1, 70, "Notes",
 CellID->742133048],
Cell[12561, 312, 3283, 85, 70, "3ColumnTableMod"]
}, Closed]],
Cell[CellGroupData[{
Cell[15881, 402, 460, 13, 45, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->81168705],
Cell[CellGroupData[{
Cell[16366, 419, 147, 5, 31, "ExampleSection",
 CellID->99208130],
Cell[16516, 426, 133, 4, 28, "Input",
 CellID->139566013],
Cell[16652, 432, 75, 2, 32, "ExampleText",
 CellID->65039657],
Cell[16730, 436, 467, 16, 70, "Input",
 CellID->72093665],
Cell[17200, 454, 1722, 49, 70, "ExampleText",
 CellID->56007638],
Cell[CellGroupData[{
Cell[18947, 507, 144, 4, 70, "Input",
 CellID->883122251],
Cell[19094, 513, 976, 27, 70, "Output",
 CellID->154564163]
}, Open  ]],
Cell[20085, 543, 298, 7, 70, "ExampleText",
 CellID->597404009],
Cell[CellGroupData[{
Cell[20408, 554, 138, 4, 70, "Input",
 CellID->170026918],
Cell[20549, 560, 583, 17, 70, "Output",
 CellID->45519730]
}, Open  ]],
Cell[21147, 580, 156, 5, 70, "ExampleText",
 CellID->868990175],
Cell[CellGroupData[{
Cell[21328, 589, 1477, 46, 70, "Input",
 CellID->175937802],
Cell[22808, 637, 1055, 27, 70, "Output",
 CellID->103021943]
}, Open  ]],
Cell[23878, 667, 290, 8, 70, "ExampleText",
 CellID->2220730],
Cell[CellGroupData[{
Cell[24193, 679, 233, 6, 70, "Input",
 CellID->333427945],
Cell[24429, 687, 3855, 71, 70, "Output",
 CellID->149585341]
}, Open  ]],
Cell[CellGroupData[{
Cell[28321, 763, 240, 6, 70, "Input",
 CellID->676649133],
Cell[28564, 771, 4599, 92, 70, "Output",
 CellID->22947816]
}, Open  ]],
Cell[33178, 866, 663, 19, 70, "ExampleText",
 CellID->379447672]
}, Open  ]],
Cell[CellGroupData[{
Cell[33878, 890, 221, 7, 70, "ExampleSection",
 CellID->1293636265],
Cell[34102, 899, 363, 5, 70, "ExampleText",
 CellID->2794233],
Cell[34468, 906, 133, 4, 70, "Input",
 CellID->787600277],
Cell[34604, 912, 543, 18, 70, "Input",
 CellID->67201765],
Cell[CellGroupData[{
Cell[35172, 934, 130, 3, 70, "Input",
 CellID->54006647],
Cell[35305, 939, 1236, 33, 70, "Output",
 CellID->317411249]
}, Open  ]],
Cell[CellGroupData[{
Cell[36578, 977, 215, 6, 70, "Input",
 CellID->357581797],
Cell[36796, 985, 743, 21, 70, "Output",
 CellID->10831540]
}, Open  ]],
Cell[CellGroupData[{
Cell[37576, 1011, 244, 6, 70, "Input",
 CellID->184209412],
Cell[37823, 1019, 5030, 90, 70, "Output",
 CellID->417980235]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[42902, 1115, 244, 7, 70, "ExampleSection",
 CellID->1020263627],
Cell[43149, 1124, 225, 4, 70, "ExampleText",
 CellID->424459524],
Cell[43377, 1130, 133, 4, 70, "Input",
 CellID->204197525],
Cell[43513, 1136, 155, 3, 70, "ExampleText",
 CellID->15586753],
Cell[CellGroupData[{
Cell[43693, 1143, 392, 12, 70, "Input",
 CellID->68677493],
Cell[44088, 1157, 304, 10, 70, "Output",
 CellID->339665922]
}, Open  ]],
Cell[CellGroupData[{
Cell[44429, 1172, 232, 6, 70, "Input",
 CellID->221234867],
Cell[44664, 1180, 1151, 29, 70, "Output",
 CellID->140085294]
}, Open  ]],
Cell[45830, 1212, 199, 3, 70, "ExampleText",
 CellID->163979523],
Cell[CellGroupData[{
Cell[46054, 1219, 428, 13, 70, "Input",
 CellID->366845292],
Cell[46485, 1234, 175, 6, 70, "Output",
 CellID->108994369]
}, Open  ]],
Cell[46675, 1243, 162, 3, 70, "ExampleText",
 CellID->115671763],
Cell[CellGroupData[{
Cell[46862, 1250, 378, 12, 70, "Input",
 CellID->55597775],
Cell[47243, 1264, 303, 10, 70, "Output",
 CellID->46089820]
}, Open  ]],
Cell[47561, 1277, 201, 3, 70, "ExampleText",
 CellID->752087914],
Cell[CellGroupData[{
Cell[47787, 1284, 449, 13, 70, "Input",
 CellID->464705431],
Cell[48239, 1299, 304, 10, 70, "Output",
 CellID->650179265]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[48592, 1315, 223, 7, 70, "ExampleSection",
 CellID->2061341341],
Cell[CellGroupData[{
Cell[48840, 1326, 300, 9, 70, "ExampleSubsection",
 CellID->480171694],
Cell[49143, 1337, 350, 8, 70, "ExampleText",
 CellID->181613339],
Cell[CellGroupData[{
Cell[49518, 1349, 131, 4, 70, "Input",
 CellID->5979552],
Cell[49652, 1355, 199, 6, 70, "Output",
 CellID->2722865]
}, Open  ]],
Cell[49866, 1364, 218, 7, 70, "ExampleText",
 CellID->321135500],
Cell[CellGroupData[{
Cell[50109, 1375, 501, 15, 70, "Input",
 CellID->339085011],
Cell[50613, 1392, 383, 12, 70, "Output",
 CellID->38204611]
}, Open  ]],
Cell[51011, 1407, 465, 18, 70, "ExampleText",
 CellID->71490647],
Cell[CellGroupData[{
Cell[51501, 1429, 553, 16, 70, "Input",
 CellID->401890499],
Cell[52057, 1447, 263, 9, 70, "Output",
 CellID->581625110]
}, Open  ]],
Cell[52335, 1459, 120, 2, 70, "ExampleText",
 CellID->3023239],
Cell[52458, 1463, 468, 16, 70, "Input",
 CellID->168557143],
Cell[CellGroupData[{
Cell[52951, 1483, 188, 5, 70, "Input",
 CellID->50145082],
Cell[53142, 1490, 583, 17, 70, "Output",
 CellID->47830401]
}, Open  ]],
Cell[CellGroupData[{
Cell[53762, 1512, 274, 7, 70, "Input",
 CellID->142975374],
Cell[54039, 1521, 504, 15, 70, "Output",
 CellID->423703693]
}, Open  ]],
Cell[CellGroupData[{
Cell[54580, 1541, 1478, 46, 70, "Input",
 CellID->259169534],
Cell[56061, 1589, 981, 26, 70, "Output",
 CellID->529356380]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[57091, 1621, 288, 9, 70, "ExampleSubsection",
 CellID->20803],
Cell[57382, 1632, 701, 20, 70, "ExampleText",
 CellID->119855387],
Cell[58086, 1654, 133, 4, 70, "Input",
 CellID->121842770],
Cell[CellGroupData[{
Cell[58244, 1662, 433, 13, 70, "Input",
 CellID->194588162],
Cell[58680, 1677, 304, 10, 70, "Output",
 CellID->128808673]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[59033, 1693, 293, 9, 70, "ExampleSubsection",
 CellID->605988972],
Cell[59329, 1704, 350, 7, 70, "ExampleText",
 CellID->84759261],
Cell[59682, 1713, 133, 4, 70, "Input",
 CellID->525815970],
Cell[59818, 1719, 382, 12, 70, "ExampleText",
 CellID->524274827],
Cell[60203, 1733, 468, 16, 70, "Input",
 CellID->101662645],
Cell[CellGroupData[{
Cell[60696, 1753, 226, 6, 70, "Input",
 CellID->95792194],
Cell[60925, 1761, 504, 15, 70, "Output",
 CellID->374298457]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[61478, 1782, 294, 9, 70, "ExampleSubsection",
 CellID->5852477],
Cell[61775, 1793, 1500, 38, 70, "ExampleText",
 CellID->285128279],
Cell[63278, 1833, 133, 4, 70, "Input",
 CellID->556975654],
Cell[CellGroupData[{
Cell[63436, 1841, 358, 11, 70, "Input",
 CellID->358063813],
Cell[63797, 1854, 304, 10, 70, "Output",
 CellID->154909309]
}, Open  ]],
Cell[CellGroupData[{
Cell[64138, 1869, 472, 15, 70, "Input",
 CellID->213217260],
Cell[64613, 1886, 304, 10, 70, "Output",
 CellID->123585557]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[64966, 1902, 284, 9, 70, "ExampleSubsection",
 CellID->295054639],
Cell[65253, 1913, 4241, 114, 70, "ExampleText",
 CellID->28595840],
Cell[69497, 2029, 132, 4, 70, "Input",
 CellID->85627697],
Cell[69632, 2035, 468, 16, 70, "Input",
 CellID->239715799],
Cell[CellGroupData[{
Cell[70125, 2055, 256, 7, 70, "Input",
 CellID->483640573],
Cell[70384, 2064, 384, 12, 70, "Output",
 CellID->306929076]
}, Open  ]],
Cell[CellGroupData[{
Cell[70805, 2081, 1578, 49, 70, "Input",
 CellID->872466733],
Cell[72386, 2132, 896, 25, 70, "Output",
 CellID->137827558]
}, Open  ]],
Cell[73297, 2160, 103, 2, 70, "ExampleText",
 CellID->30970726],
Cell[CellGroupData[{
Cell[73425, 2166, 252, 7, 70, "Input",
 CellID->372568508],
Cell[73680, 2175, 1071, 30, 70, "Output",
 CellID->107874760]
}, Open  ]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[74812, 2212, 227, 7, 70, "ExampleSection",
 CellID->258228157],
Cell[75042, 2221, 551, 8, 70, "ExampleText",
 CellID->484322576],
Cell[CellGroupData[{
Cell[75618, 2233, 755, 22, 70, "Input",
 CellID->24090304],
Cell[76376, 2257, 161, 5, 70, "Output",
 CellID->454025393]
}, Open  ]],
Cell[76552, 2265, 266, 9, 70, "ExampleText",
 CellID->133892000],
Cell[CellGroupData[{
Cell[76843, 2278, 309, 9, 70, "Input",
 CellID->403262779],
Cell[77155, 2289, 159, 5, 70, "Output",
 CellID->28153043]
}, Open  ]],
Cell[77329, 2297, 127, 2, 70, "ExampleText",
 CellID->108654997],
Cell[CellGroupData[{
Cell[77481, 2303, 754, 22, 70, "Input",
 CellID->7490593],
Cell[78238, 2327, 161, 5, 70, "Output",
 CellID->519265448]
}, Open  ]],
Cell[78414, 2335, 142, 3, 70, "ExampleText",
 CellID->130588250],
Cell[CellGroupData[{
Cell[78581, 2342, 1952, 60, 70, "Input",
 CellID->505521937],
Cell[80536, 2404, 4603, 96, 70, "Output",
 CellID->231644340]
}, Open  ]],
Cell[CellGroupData[{
Cell[85176, 2505, 124, 3, 70, "ExampleDelimiter",
 CellID->63150466],
Cell[85303, 2510, 511, 7, 70, "ExampleText",
 CellID->231323175],
Cell[85817, 2519, 1173, 37, 70, "Input",
 CellID->221922294],
Cell[86993, 2558, 206, 3, 70, "ExampleText",
 CellID->417262010],
Cell[CellGroupData[{
Cell[87224, 2565, 3467, 102, 70, "Input",
 CellID->5115288],
Cell[90694, 2669, 5374, 106, 70, "Output",
 CellID->148867268]
}, Open  ]],
Cell[96083, 2778, 465, 9, 70, "ExampleText",
 CellID->627627198],
Cell[CellGroupData[{
Cell[96573, 2791, 550, 16, 70, "Input",
 CellID->281415902],
Cell[97126, 2809, 161, 5, 70, "Output",
 CellID->807803981]
}, Open  ]],
Cell[97302, 2817, 194, 3, 70, "ExampleText",
 CellID->490688984],
Cell[CellGroupData[{
Cell[97521, 2824, 620, 18, 70, "Input",
 CellID->862832626],
Cell[98144, 2844, 161, 5, 70, "Output",
 CellID->577162247]
}, Open  ]],
Cell[98320, 2852, 127, 2, 70, "ExampleText",
 CellID->614854265],
Cell[CellGroupData[{
Cell[98472, 2858, 548, 16, 70, "Input",
 CellID->8743614],
Cell[99023, 2876, 161, 5, 70, "Output",
 CellID->312488444]
}, Open  ]],
Cell[99199, 2884, 181, 3, 70, "ExampleText",
 CellID->18599814],
Cell[CellGroupData[{
Cell[99405, 2891, 550, 16, 70, "Input",
 CellID->286943319],
Cell[99958, 2909, 161, 5, 70, "Output",
 CellID->880444142]
}, Open  ]],
Cell[100134, 2917, 405, 6, 70, "ExampleText",
 CellID->25097218]
}, Open  ]],
Cell[CellGroupData[{
Cell[100576, 2928, 124, 3, 70, "ExampleDelimiter",
 CellID->75355362],
Cell[100703, 2933, 391, 6, 70, "ExampleText",
 CellID->110297101],
Cell[101097, 2941, 1177, 36, 70, "Input",
 CellID->153300111],
Cell[102277, 2979, 133, 2, 70, "ExampleText",
 CellID->527071291],
Cell[CellGroupData[{
Cell[102435, 2985, 3424, 101, 70, "Input",
 CellID->82451871],
Cell[105862, 3088, 3887, 78, 70, "Output",
 CellID->568330986]
}, Open  ]],
Cell[CellGroupData[{
Cell[109786, 3171, 117, 3, 70, "Input",
 CellID->624467990],
Cell[109906, 3176, 159, 5, 70, "Output",
 CellID->758198101]
}, Open  ]],
Cell[110080, 3184, 181, 3, 70, "ExampleText",
 CellID->99008282],
Cell[CellGroupData[{
Cell[110286, 3191, 565, 16, 70, "Input",
 CellID->254936710],
Cell[110854, 3209, 161, 5, 70, "Output",
 CellID->958428249]
}, Open  ]]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[111088, 3222, 417, 12, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[111508, 3236, 3054, 100, 70, "SeeAlso",
 CellID->929782353]
}, Open  ]],
Cell[CellGroupData[{
Cell[114599, 3341, 419, 12, 70, "TutorialsSection",
 CellID->250839057],
Cell[115021, 3355, 186, 4, 70, "Tutorials",
 CellID->18999690],
Cell[115210, 3361, 185, 4, 70, "Tutorials",
 CellID->105429453]
}, Open  ]],
Cell[CellGroupData[{
Cell[115432, 3370, 419, 12, 70, "MoreAboutSection",
 CellID->38303248],
Cell[115854, 3384, 146, 3, 70, "MoreAbout",
 CellID->374933460]
}, Open  ]],
Cell[116015, 3390, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

