(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     17030,        534]
NotebookOptionsPosition[     13509,        429]
NotebookOutlinePosition[     15590,        481]
CellTagsIndexPosition[     15505,        476]
WindowTitle->CutoffRadius - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:Obtuse/guide/Obtuse"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["OBTUSE PACLET SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse Angle Shadowing Networks\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/tutorial/Obtuse Angle Shadowing Networks"], \
"\<\"Scattered Point Interpolation\"\>":>Documentation`HelpLookup[
       "paclet:Obtuse/tutorial/Scattered Point Interpolation"], \
"\<\"Interpolation interactive demo\"\>":>Documentation`HelpLookup[
       "paclet:Obtuse/tutorial/Interpolation interactive demo"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"ConnectionsToExclude\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectionsToExclude"], "\<\"CutoffValue\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/CutoffValue"], "\<\"NeighborLevel\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/NeighborLevel"], "\<\"SmoothenDistance\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/SmoothenDistance"], "\<\"Type\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/Type"], "\<\"Interpolation, Method -> \
\\\"ObtuseAngle\\\"\"\>":>Documentation`HelpLookup[
       "paclet:Obtuse/ref/InterpolationMethodObtuseAngle"], \
"\<\"InterpolationCoefficients\"\>":>Documentation`HelpLookup[
       "paclet:Obtuse/ref/InterpolationCoefficients"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse Package\"\>":>
       Documentation`HelpLookup["paclet:Obtuse/guide/ObtusePackage"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse/ref/CutoffRadius\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["Obtuse/ref/CutoffRadius"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://www.familydahl.se/mathematica/Obtuse/ref/CutoffRadius.\
html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://www.familydahl.se/mathematica/", 
             "Obtuse/ref/CutoffRadius", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[CellGroupData[{

Cell["CutoffRadius", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     "CutoffRadius is an option to ",
     Cell[BoxData[
      ButtonBox["ConnectionList",
       BaseStyle->"Link",
       ButtonData->"paclet:Obtuse/ref/ConnectionList"]]],
     ". The value ",
     StyleBox[ButtonBox["Infinity",
      BaseStyle->"Link",
      ButtonData->"paclet:Obtuse/ref/Infinity"],
      FontFamily->"Courier",
      FontSize->11,
      FontWeight->"Bold",
      FontSlant->"Plain"],
     "  is default. If the distance between two point is larger than 2 times \
the ",
     StyleBox["CutoffRadius",
      FontFamily->"Courier",
      FontSize->11,
      FontWeight->"Bold",
      FontSlant->"Plain"],
     " value, the two points are not connected. Remember, that the \
DistanceMatrix function represents the squared distances, so the matrix \
values are compared to 4 times the CutoffRadius value squared.\n    \
CutoffRadius is also an option to ",
     Cell[BoxData[
      ButtonBox["InterpolationCoefficients",
       BaseStyle->"Link",
       ButtonData->"paclet:Obtuse/ref/InterpolationCoefficients"]], 
      "InlineFormula"],
     " and to ",
     Cell[BoxData[
      ButtonBox["Interpolation",
       BaseStyle->"Link",
       ButtonData->"paclet:ref/Interpolation"]]],
     " when ",
     Cell[BoxData[
      RowBox[{
       ButtonBox["Method",
        BaseStyle->"Link",
        ButtonData->"paclet:ref/Method"], "\[Rule]", 
       ButtonBox["\"\<ObtuseAngle\>\"",
        BaseStyle->"Link",
        ButtonData->"paclet:Obtuse/tutorial/ObtusePackage"], " "}]]],
     " is specified. The interpolated value is not affected by the function \
value in control points that are more distant than the ",
     StyleBox["CutoffRadius",
      FontFamily->"Courier",
      FontSize->11,
      FontWeight->"Bold",
      FontSlant->"Plain"],
     " value."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->67835788],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->72979622],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Obtuse`\>\"", "]"}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->121842770],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConnectionList", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "1.", ",", "4."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.", ",", "0.", ",", "2."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4.", ",", "2.", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"CutoffRadius", "\[Rule]", "0.7"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->194588162],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"2", "\[Rule]", "1"}], ",", 
   RowBox[{"1", "\[Rule]", "2"}]}], "}"}]], "Output",
 ImageSize->{91, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->857331518]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConnectionList", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "1.", ",", "4."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.", ",", "0.", ",", "2."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4.", ",", "2.", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"CutoffRadius", "\[Rule]", "0.75"}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->482214401],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"2", "\[Rule]", "1"}], ",", 
   RowBox[{"1", "\[Rule]", "2"}], ",", 
   RowBox[{"3", "\[Rule]", "2"}], ",", 
   RowBox[{"2", "\[Rule]", "3"}]}], "}"}]], "Output",
 ImageSize->{175, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->25772364]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["ConnectionsToExclude",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/ConnectionsToExclude"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["CutoffValue",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/CutoffValue"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["NeighborLevel",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/NeighborLevel"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["SmoothenDistance",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/SmoothenDistance"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["Type",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/Type"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox[
    RowBox[{"Interpolation", ",", " ", 
     RowBox[{"Method", " ", "->", " ", "\"\<ObtuseAngle\>\""}]}],
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/InterpolationMethodObtuseAngle"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["InterpolationCoefficients",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/InterpolationCoefficients"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[ButtonBox["Obtuse Angle Shadowing Networks",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Obtuse Angle Shadowing Networks"]], "Tutorials",
 CellID->341631938],

Cell[TextData[ButtonBox["Scattered Point Interpolation",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Scattered Point Interpolation"]], "Tutorials",
 CellID->220974398],

Cell[TextData[ButtonBox["Interpolation interactive demo",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Interpolation interactive demo"]], "Tutorials",
 CellID->294894982]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 CellID->38303248],

Cell[TextData[ButtonBox["Obtuse Package",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/guide/ObtusePackage"]], "MoreAbout",
 CellID->165150477]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"CutoffRadius - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2010, 5, 24, 20, 41, 4.8217859}", "context" -> "Obtuse`", 
    "keywords" -> {}, "index" -> True, "label" -> "Obtuse Paclet Symbol", 
    "language" -> "en", "paclet" -> "Obtuse", "status" -> "None", "summary" -> 
    "CutoffRadius is an option to ConnectionList. The value Infinity is \
default. If the distance between two point is larger than 2 times the \
CutoffRadius value, the two points are not connected. Remember, that the \
DistanceMatrix function represents the squared distances, so the matrix \
values are compared to 4 times the CutoffRadius value squared. CutoffRadius \
is also an option to InterpolationCoefficients and to Interpolation when \
Method -> \"ObtuseAngle\" is specified. The interpolated value is not \
affected by the function value in control points that are more distant than \
the CutoffRadius value.", "synonyms" -> {}, "title" -> "CutoffRadius", "type" -> 
    "Symbol", "uri" -> "Obtuse/ref/CutoffRadius"}, "SearchTextTranslated" -> 
  ""},
CellContext->"Global`",
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
   StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[6916, 189, 460, 13, 45, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->67835788]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 15363, 469}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[593, 21, 76, 1, 3, "SymbolColorBar"],
Cell[672, 24, 178, 5, 19, "LinkTrail"],
Cell[853, 31, 3934, 87, 46, "AnchorBarGrid",
 CellID->1],
Cell[CellGroupData[{
Cell[4812, 122, 55, 1, 51, "ObjectName",
 CellID->1224892054],
Cell[4870, 125, 2009, 59, 165, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[6916, 189, 460, 13, 45, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->67835788],
Cell[CellGroupData[{
Cell[7401, 206, 147, 5, 31, "ExampleSection",
 CellID->72979622],
Cell[7551, 213, 133, 4, 28, "Input",
 CellID->121842770],
Cell[CellGroupData[{
Cell[7709, 221, 432, 13, 28, "Input",
 CellID->194588162],
Cell[8144, 236, 263, 9, 36, "Output",
 CellID->857331518]
}, Open  ]],
Cell[CellGroupData[{
Cell[8444, 250, 433, 13, 28, "Input",
 CellID->482214401],
Cell[8880, 265, 343, 11, 36, "Output",
 CellID->25772364]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9284, 283, 417, 12, 45, "SeeAlsoSection",
 CellID->1255426704],
Cell[9704, 297, 2138, 70, 31, "SeeAlso",
 CellID->929782353]
}, Open  ]],
Cell[CellGroupData[{
Cell[11879, 372, 419, 12, 45, "TutorialsSection",
 CellID->250839057],
Cell[12301, 386, 187, 4, 17, "Tutorials",
 CellID->341631938],
Cell[12491, 392, 183, 4, 17, "Tutorials",
 CellID->220974398],
Cell[12677, 398, 185, 4, 17, "Tutorials",
 CellID->294894982]
}, Open  ]],
Cell[CellGroupData[{
Cell[12899, 407, 419, 12, 45, "MoreAboutSection",
 CellID->38303248],
Cell[13321, 421, 146, 3, 70, "MoreAbout",
 CellID->165150477]
}, Open  ]],
Cell[13482, 427, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

