(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     16612,        497]
NotebookOptionsPosition[     13640,        404]
NotebookOutlinePosition[     15341,        451]
CellTagsIndexPosition[     15256,        446]
WindowTitle->CutoffValue - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:Obtuse/guide/Obtuse"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["OBTUSE PACKAGE PACLET SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse Angle Shadowing Networks\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/tutorial/Obtuse Angle Shadowing Networks"], \
"\<\"Scattered Point Interpolation\"\>":>Documentation`HelpLookup[
       "paclet:Obtuse/tutorial/Scattered Point Interpolation"], \
"\<\"Interpolation interactive demo\"\>":>Documentation`HelpLookup[
       "paclet:Obtuse/tutorial/Interpolation interactive demo"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"ConnectionsToExclude\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectionsToExclude"], "\<\"CutoffRadius\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/CutoffRadius"], "\<\"NeighborLevel\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/NeighborLevel"], "\<\"SmoothenDistance\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/SmoothenDistance"], "\<\"Type\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/Type"], "\<\"Interpolation, Method -> \
\\\"ObtuseAngle\\\"\"\>":>Documentation`HelpLookup[
       "paclet:Obtuse/ref/InterpolationMethodObtuseAngle"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse Package\"\>":>
       Documentation`HelpLookup["paclet:Obtuse/guide/ObtusePackage"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse/ref/CutoffValue\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["Obtuse/ref/CutoffValue"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://www.familydahl.se/mathematica/Obtuse/ref/CutoffValue.\
html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://www.familydahl.se/mathematica/", "Obtuse/ref/CutoffValue",
              ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[CellGroupData[{

Cell["CutoffValue", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData["CutoffValue"], "InlineFormula"],
     " (default 0.) is an option to ",
     ButtonBox["Interpolation",
      BaseStyle->"Link",
      ButtonData->"paclet:Obtuse/ref/InterpolationMethodObtuseAngle"],
     " when ",
     ButtonBox["Method ",
      BaseStyle->"Link",
      ButtonData->"paclet:ref/Method"],
     "\[Rule] ",
     Cell[BoxData[
      RowBox[{
       ButtonBox["\"\<ObtuseAngle\>\"",
        BaseStyle->"Link",
        ButtonData->"paclet:Obtuse/tutorial/ObtusePackage"], " "}]]],
     " is specified. This value determines the returned value when all \
control points are more distant than the ",
     Cell[BoxData[
      ButtonBox["CutoffRadius",
       BaseStyle->"Link",
       ButtonData->"paclet:Obtuse/ref/CutoffRadius"]], "InlineFormula"],
     " value.  "
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->101780647],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->70187701],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Obtuse`\>\"", "]"}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->5979552],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Interpolation", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0.", ",", "0."}], "}"}], ",", "3."}], "}"}], "}"}], ",", 
      RowBox[{"Method", "\[Rule]", "\"\<ObtuseAngle\>\""}], ",", 
      RowBox[{"CutoffRadius", "\[Rule]", "1"}], ",", 
      RowBox[{"CutoffValue", "\[Rule]", 
       RowBox[{"-", "1"}]}]}], "]"}], "[", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0."}], "}"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "3"}], "}"}], ",", " ", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "2"}], ",", "4"}], "}"}]}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->113621883],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJxF030w1HkcwPHF2nVMecyF06lkVBfVqdgm369JbUlHTh5rPWUTklSSPJVW
xuHEKekIR3LJHaJC9z1NsofIsRyF3y51dtn9bas8x7mb6/v7zHzmM6+Z97+f
1f6nXAKVaTTayaX9904fCMtzPhVuS/tv1OCpgsg/nMzywSc3pqbWHzSrwFZl
RDDFwQh7f7wfr8atGfvhhcCBks527D6vEMuI813Y2uw0biPsxdbqDqza4f0K
23B29P4gZwB7rUloGc9/CJtvsDu5JJ9yqK7h8aZ+yoLODs4LMWXbDJ6bYJqy
a6lxqUyFAB6VzyrXTDNhctJ0UYQGAeSK5XWGYiZ8EtiVP6lDgCQrz6c6/Uyo
sK/IjTYkwBeRP7WotzKht8qxzMvrCeAws+PVbDkTZohs0xlbCECwLg8r8pjw
WaNBSoo1AaJi2sYk6UxokdBxKZNNgOJF3/n+cCakfWSdLgokAI2RYlxvxYQl
k9rOTwsJUKvz2udiAwP2C8YP7C0jgKOrWdCZ+wy4vKaZ3fIrAUayw8ND8hkw
6kws+BMRQMtA9ZJ3AgM6yEctRAMECP3SominPQPKxGiZsqEQmH6VMDLXqgqt
B0622mUKQcYe0xMxr+iwYn3EiqBcISguNxJYttKhaWSkT3qREDzS1bUbrqND
Lc34if4qISCESgYOuXQohhlGZ7uEwCJuiP+5Jx3mFleF3NETgbbaXPPqHhU4
HzKloXFDBNTMtUfFncqwcTbBsfvWMIhTX+C682kwCPH5v11+A3yVB17TP8yA
mwGlhit8/wY/nvbPvhevAJs8hJMLgWKQY/thn9rLETA44dQO948BeEVp+9ve
50AxZLBZ/7AUmCzmKQUcEiCTgCmrL49KAW1rpNNEpwA5ve22MQ+UAvmxb/IS
XXpQ+fj3u1nnpOD3lgXr4m97EXdG1Z2TLQW+133C3xzuQ/06itg7Aiko2LR6
6LjXAGrc09K63U0G1CxcOLWVIiTnl74EHBlIYNvyFt6J0CpHnmAfVwbkvhvK
924dRtEucMgrUgZeZinP9lQNIyufWkXcdRkomKnKnqoeQXejigyae2QANum+
sK59izLuRR93dydBwhHBzvo6CfJW2tMm4JDgL3Vz/4pJCTJz19ziyiXB5sfR
yYVbx1CDcvGs8zkSECtMBFd/HkOjni/SHLJIADuCw1xzx1H1LzcU/FwS5MQ+
+YHdM47iVP3d2UUkkG/UqmfpSJFe5aSJfSUJCpJrmKtTpAiomTzY1UGCaTta
ofSCDKlzJCsbekjgLHdpJmpkqLv6QSxrcKnPL5F2vZOh25/Fix69Weodp3Wb
N5Eo2Gc/e4d0qZ9zYNWdING2Gt3ymvckuFuW53u/hEQ0jUEtq3kS0DzkSQVC
EnE3d7P6lOT//5scHfC2OZmjSlnIaN+erUf5fJU/LXMt5XbfGjOeD2UzTbWD
Ubcoy4B9TKLxO+za8IR76bcpd6/LYh7KVGCbJnaZH705gW3jPGR1+9Z77IFw
nm1a6gfsKhvPZU3XJrH13Zr77vKmsIGIdu3p2Wnsm/pBy8yiZrAv55+4ui14
FjuvPed5evgcdmxYltw4Yh57zM98paf/R+zvPkrog9wF7LpxNrncaxG7Z521
iGVKg58ctD7AMquEcqOb90W7VUrYX3tIyvQKKYcm7u3dZaSMncxVm1XKovzE
2G9RoqeC/XghSWVDOuX26t2SNG06dpMJ93lqJuUrDw8XCtVVsY+sec3xTqM8
V2tptJHJwI5REbdlx1HWN7XxW0djYp8Pc3uvfoGyXoBmJK+BcqU7f2pxkfI/
6pLTBw==
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{0, 3}, {-2, 4}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], Automatic}]], "Output",
 ImageSize->{184, 114},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->294987029]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["ConnectionsToExclude",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/ConnectionsToExclude"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["CutoffRadius",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/CutoffRadius"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["NeighborLevel",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/NeighborLevel"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["SmoothenDistance",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/SmoothenDistance"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["Type",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/Type"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox[
    RowBox[{"Interpolation", ",", " ", 
     RowBox[{"Method", " ", "->", " ", "\"\<ObtuseAngle\>\""}]}],
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/InterpolationMethodObtuseAngle"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[ButtonBox["Obtuse Angle Shadowing Networks",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Obtuse Angle Shadowing Networks"]], "Tutorials",
 CellID->341631938],

Cell[TextData[ButtonBox["Scattered Point Interpolation",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Scattered Point Interpolation"]], "Tutorials",
 CellID->836203945],

Cell[TextData[ButtonBox["Interpolation interactive demo",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Interpolation interactive demo"]], "Tutorials",
 CellID->294894982]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 CellID->38303248],

Cell[TextData[ButtonBox["Obtuse Package",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/guide/ObtusePackage"]], "MoreAbout",
 CellID->205403443]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"CutoffValue - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2010, 5, 24, 20, 41, 6.0118539}", "context" -> "Obtuse`", 
    "keywords" -> {}, "index" -> True, "label" -> 
    "Obtuse Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "Obtuse Package", "status" -> "None", "summary" -> 
    "CutoffValue (default 0.) is an option to Interpolation when Method -> \
\"ObtuseAngle\" is specified. This value determines the returned value when \
all control points are more distant than the CutoffRadius value. ", 
    "synonyms" -> {}, "title" -> "CutoffValue", "type" -> "Symbol", "uri" -> 
    "Obtuse/ref/CutoffValue"}, "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
   StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[5796, 157, 461, 13, 45, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->101780647]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 15113, 439}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[592, 21, 76, 1, 3, "SymbolColorBar"],
Cell[671, 24, 178, 5, 19, "LinkTrail"],
Cell[852, 31, 3820, 85, 46, "AnchorBarGrid",
 CellID->1],
Cell[CellGroupData[{
Cell[4697, 120, 54, 1, 51, "ObjectName",
 CellID->1224892054],
Cell[4754, 123, 1005, 29, 99, "Usage"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5796, 157, 461, 13, 45, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->101780647],
Cell[CellGroupData[{
Cell[6282, 174, 147, 5, 31, "ExampleSection",
 CellID->70187701],
Cell[6432, 181, 131, 4, 28, "Input",
 CellID->5979552],
Cell[CellGroupData[{
Cell[6588, 189, 791, 24, 47, "Input",
 CellID->113621883],
Cell[7382, 215, 2291, 46, 135, "Output",
 CellID->294987029]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9734, 268, 417, 12, 45, "SeeAlsoSection",
 CellID->1255426704],
Cell[10154, 282, 1819, 60, 30, "SeeAlso",
 CellID->929782353]
}, Open  ]],
Cell[CellGroupData[{
Cell[12010, 347, 419, 12, 45, "TutorialsSection",
 CellID->250839057],
Cell[12432, 361, 187, 4, 17, "Tutorials",
 CellID->341631938],
Cell[12622, 367, 183, 4, 17, "Tutorials",
 CellID->836203945],
Cell[12808, 373, 185, 4, 17, "Tutorials",
 CellID->294894982]
}, Open  ]],
Cell[CellGroupData[{
Cell[13030, 382, 419, 12, 45, "MoreAboutSection",
 CellID->38303248],
Cell[13452, 396, 146, 3, 70, "MoreAbout",
 CellID->205403443]
}, Open  ]],
Cell[13613, 402, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

