(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     13935,        436]
NotebookOptionsPosition[      9183,        302]
NotebookOutlinePosition[     11326,        356]
CellTagsIndexPosition[     11283,        353]
WindowTitle->Obtuse Overview - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:Obtuse/guide/Obtuse"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["OBTUSE PACKAGE OVERVIEW", "PacletNameCell"], Cell[TextData[Cell[
    BoxData[
     ActionMenuBox[
      FrameBox["\<\"URL \[RightGuillemet]\"\>",
       StripOnInput->False], {"\<\"Obtuse/tutorial/ObtuseOverview\"\>":>
      None, "\<\"Copy Mathematica url\"\>":>
      Module[{DocumentationSearch`Private`nb$}, 
       DocumentationSearch`Private`nb$ = NotebookPut[
          Notebook[{
            Cell["Obtuse/tutorial/ObtuseOverview"]}, Visible -> False]]; 
       SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
       FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
       NotebookClose[DocumentationSearch`Private`nb$]; Null], 
      Delimiter, "\<\"Copy web url\"\>":>
      Module[{DocumentationSearch`Private`nb$}, 
       DocumentationSearch`Private`nb$ = NotebookPut[
          Notebook[{
            Cell[
             BoxData[
              MakeBoxes[
               Hyperlink[
               "http://www.familydahl.se/mathematica/Obtuse/tutorial/\
ObtuseOverview.html"], StandardForm]], "Input", TextClipboardType -> 
             "PlainText"]}, Visible -> False]]; 
       SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
       FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
       NotebookClose[DocumentationSearch`Private`nb$]; 
       Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
        NotebookLocate[{
          URL[
           StringJoin[
           "http://www.familydahl.se/mathematica/", 
            "Obtuse/tutorial/ObtuseOverview", ".html"]], None}]}]},
      Appearance->None,
      MenuAppearance->Automatic]],
     LineSpacing->{1.4, 0}]], "AnchorBar"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1],

Cell[CellGroupData[{

Cell["Obtuse Overview", "TOCDocumentTitle"],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["Interpolation interactive demo",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Interpolation interactive demo#509267359"]], \
"TOCChapter"],

Cell[TextData[ButtonBox["The Code",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Interpolation interactive demo#191560452"]], \
"TOCSubsubsection"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["Obtuse Angle Shadowing Networks",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Obtuse Angle Shadowing Networks#509267359"]], \
"TOCChapter"],

Cell[TextData[ButtonBox["The obtuse-angle shadowing rule",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Obtuse Angle Shadowing Networks#481737498"]], \
"TOCSubsection"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["Scattered Point Interpolation",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Scattered Point Interpolation#509267359"]], \
"TOCChapter"],

Cell[TextData[ButtonBox["Delaunay interpolation",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/ref/InterpolationMethodDelaunay"]], "TOCSubsubsection"],

Cell[TextData[ButtonBox["Voronoi interpolation",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/ref/InterpolationMethodVoronoi"]], "TOCSubsubsection"],

Cell[TextData[ButtonBox["Shepard interpolation",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/ref/InterpolationMethodShepard"]], "TOCSubsubsection"],

Cell[TextData[ButtonBox["RBF interpolation",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/InterpolationMethodRBF"]], "TOCSubsubsection"],

Cell[TextData[ButtonBox["ObtuseAngle interpolation",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/ref/InterpolationMethodObtuseAngle"]], "TOCSubsubsection"],

Cell[TextData[ButtonBox["General",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Scattered Point Interpolation#83692607"]], \
"TOCSubsubsection"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["ReferencePages/Symbols",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/ConnectedFrom"]], "TOCChapter"],

Cell[TextData[ButtonBox["DirectedDistanceMatrix",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/DirectedDistanceMatrix"]], "TOCSection",
 CellID->328329836],

Cell[TextData[ButtonBox["ConnectionList",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/ConnectionList"]], "TOCSection",
 CellID->31656693],

Cell["", "TOCSection",
 CellID->908314673],

Cell[TextData[ButtonBox["ConnectedFrom",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/ConnectedFrom"]], "TOCSection",
 CellID->187716635],

Cell[TextData[ButtonBox["ConnectedNeighbors",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/ConnectedNeighbors"]], "TOCSection",
 CellID->682165059],

Cell[TextData[ButtonBox["ConnectedTo",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/ConnectedTo"]], "TOCSection",
 CellID->98727491],

Cell[TextData[ButtonBox["FriendCountList",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/FriendCountList"]], "TOCSection",
 CellID->186228776],

Cell[TextData[ButtonBox["FriendsFromList",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/FriendsFromList"]], "TOCSection",
 CellID->37871610],

Cell[TextData[ButtonBox["FriendsList",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/FriendsList"]], "TOCSection",
 CellID->42301624],

Cell[TextData[ButtonBox["FriendsToList",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/FriendsToList"]], "TOCSection",
 CellID->207610436],

Cell["", "TOCSection",
 CellID->188144298],

Cell[TextData[ButtonBox["InterpolationMethodDelaunay",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/InterpolationMethodDelaunay"]], "TOCSection",
 CellID->454739819],

Cell[TextData[ButtonBox["InterpolationMethodObtuseAngle",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/ref/InterpolationMethodObtuseAngle"]], "TOCSection",
 CellID->12393093],

Cell[TextData[ButtonBox["InterpolationCoefficients",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/InterpolationCoefficients"]], "TOCSection",
 CellID->416413097],

Cell[TextData[ButtonBox["InterpolationMethodRBF",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/InterpolationMethodRBF"]], "TOCSection",
 CellID->450841656],

Cell[TextData[ButtonBox["InterpolationMethodShepard",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/InterpolationMethodShepard"]], "TOCSection",
 CellID->655188438],

Cell[TextData[ButtonBox["InterpolationMethodVoronoi",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/InterpolationMethodVoronoi"]], "TOCSection",
 CellID->163334812],

Cell["", "TOCSection",
 CellID->13406268],

Cell[TextData[ButtonBox["ConnectionsToExclude",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/ConnectionsToExclude"]], "TOCSection"],

Cell[TextData[ButtonBox["CutoffRadius",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/CutoffRadius"]], "TOCSection"],

Cell[TextData[ButtonBox["CutoffValue",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/CutoffValue"]], "TOCSection"],

Cell[TextData[ButtonBox["NeighborLevel",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/NeighborLevel"]], "TOCSection",
 CellID->93796110],

Cell[TextData[ButtonBox["RadialBasisFunction",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/RadialBasisFunction"]], "TOCSection"],

Cell[TextData[ButtonBox["ShepardPower",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/ShepardPower"]], "TOCSection"],

Cell[TextData[ButtonBox["SmoothenDistance",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/SmoothenDistance"]], "TOCSection"],

Cell[TextData[ButtonBox["Type",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/ref/Type"]], "TOCSection"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["Guides",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/guide/ObtusePackage"]], "TOCChapter"],

Cell[TextData[ButtonBox["ObtusePackage",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/guide/ObtusePackage"]], "TOCSection"]
}, Open  ]],

Cell[CellGroupData[{

Cell["MORE ABOUT", "TutorialMoreAboutSection",
 CellID->23220180],

Cell[TextData[{
 "Copyright Ingolf Dahl 2010, ingolf.dahl@telia.com, ",
 ButtonBox["http://www.familydahl.se/mathematica",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.familydahl.se/mathematica"], None}]
}], "TutorialMoreAbout",
 CellID->78426474]
}, Open  ]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"Obtuse Overview - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2010, 5, 20, 23, 19, 54.4394210}", "context" -> "Obtuse`", 
    "keywords" -> {
     "Obtuse Angle Shadowing", "Obtuse Angle", "Shadowing", "Distance matrix",
       "Connected Points", "Network", "Neighbors", "Scattered Points", 
      "n-dimensional", "Multidimensional", "Interpolation", 
      "Obtuse Angle Interpolation", "RBF", "Radial Basis Function", "Shepard",
       "Delaunay", "Voronoi", "machine learning", "connection", 
      "neighborhood", "correlated points", "associated", "point set", 
      "distance-based"}, "index" -> True, "label" -> 
    "Obtuse Package Overview", "language" -> "en", "paclet" -> 
    "Obtuse Package", "status" -> "None", "summary" -> 
    "Interpolation interactive demo Obtuse Angle Shadowing Networks Scattered \
Point Interpolation", "synonyms" -> {}, "title" -> "Obtuse Overview", "type" -> 
    "Overview", "uri" -> "Obtuse/tutorial/ObtuseOverview"}, 
  "SearchTextTranslated" -> ""},
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"], 
   Cell[
    StyleData["TutorialMoreAboutSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["RelatedTutorialsSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["TutorialRelatedLinksSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}]}, Visible -> False, 
  FrontEndVersion -> "7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
   StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[596, 21, 76, 1, 3, "SymbolColorBar"],
Cell[675, 24, 178, 5, 19, "LinkTrail"],
Cell[856, 31, 1887, 42, 46, "AnchorBarGrid",
 CellID->1],
Cell[CellGroupData[{
Cell[2768, 77, 43, 0, 48, "TOCDocumentTitle"],
Cell[CellGroupData[{
Cell[2836, 81, 178, 4, 45, "TOCChapter"],
Cell[3017, 87, 162, 4, 17, "TOCSubsubsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3216, 96, 180, 4, 45, "TOCChapter"],
Cell[3399, 102, 183, 4, 17, "TOCSubsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3619, 111, 176, 4, 45, "TOCChapter"],
Cell[3798, 117, 156, 3, 17, "TOCSubsubsection"],
Cell[3957, 122, 154, 3, 17, "TOCSubsubsection"],
Cell[4114, 127, 154, 3, 17, "TOCSubsubsection"],
Cell[4271, 132, 143, 2, 17, "TOCSubsubsection"],
Cell[4417, 136, 162, 3, 17, "TOCSubsubsection"],
Cell[4582, 141, 159, 4, 17, "TOCSubsubsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4778, 150, 133, 2, 45, "TOCChapter"],
Cell[4914, 154, 162, 3, 26, "TOCSection",
 CellID->328329836],
Cell[5079, 159, 145, 3, 20, "TOCSection",
 CellID->31656693],
Cell[5227, 164, 42, 1, 20, "TOCSection",
 CellID->908314673],
Cell[5272, 167, 144, 3, 20, "TOCSection",
 CellID->187716635],
Cell[5419, 172, 154, 3, 20, "TOCSection",
 CellID->682165059],
Cell[5576, 177, 139, 3, 20, "TOCSection",
 CellID->98727491],
Cell[5718, 182, 148, 3, 20, "TOCSection",
 CellID->186228776],
Cell[5869, 187, 147, 3, 20, "TOCSection",
 CellID->37871610],
Cell[6019, 192, 139, 3, 20, "TOCSection",
 CellID->42301624],
Cell[6161, 197, 144, 3, 20, "TOCSection",
 CellID->207610436],
Cell[6308, 202, 42, 1, 20, "TOCSection",
 CellID->188144298],
Cell[6353, 205, 172, 3, 20, "TOCSection",
 CellID->454739819],
Cell[6528, 210, 180, 4, 20, "TOCSection",
 CellID->12393093],
Cell[6711, 216, 168, 3, 20, "TOCSection",
 CellID->416413097],
Cell[6882, 221, 162, 3, 70, "TOCSection",
 CellID->450841656],
Cell[7047, 226, 170, 3, 70, "TOCSection",
 CellID->655188438],
Cell[7220, 231, 170, 3, 70, "TOCSection",
 CellID->163334812],
Cell[7393, 236, 41, 1, 70, "TOCSection",
 CellID->13406268],
Cell[7437, 239, 138, 2, 70, "TOCSection"],
Cell[7578, 243, 122, 2, 70, "TOCSection"],
Cell[7703, 247, 120, 2, 70, "TOCSection"],
Cell[7826, 251, 143, 3, 70, "TOCSection",
 CellID->93796110],
Cell[7972, 256, 136, 2, 70, "TOCSection"],
Cell[8111, 260, 122, 2, 70, "TOCSection"],
Cell[8236, 264, 130, 2, 70, "TOCSection"],
Cell[8369, 268, 106, 2, 70, "TOCSection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8512, 275, 119, 2, 70, "TOCChapter"],
Cell[8634, 279, 126, 2, 70, "TOCSection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8797, 286, 65, 1, 70, "TutorialMoreAboutSection",
 CellID->23220180],
Cell[8865, 289, 264, 7, 70, "TutorialMoreAbout",
 CellID->78426474]
}, Open  ]]
}, Open  ]],
Cell[9156, 300, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

